/*******************************************************************************
* File Name: .h
* Version 2.70
*
* Description:
*  This private header file contains internal definitions for the SPIS
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2013-2015, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIS_PVT_DSPSPI_H)
#define CY_SPIS_PVT_DSPSPI_H

#include "DSPSPI.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/
extern volatile uint8 DSPSPI_swStatusTx;
extern volatile uint8 DSPSPI_swStatusRx;

#if (DSPSPI_RX_SOFTWARE_BUF_ENABLED)

    extern volatile uint8 DSPSPI_rxBuffer[DSPSPI_RX_BUFFER_SIZE];
    extern volatile uint8 DSPSPI_rxBufferRead;
    extern volatile uint8 DSPSPI_rxBufferWrite;
    extern volatile uint8 DSPSPI_rxBufferFull;

#endif /* DSPSPI_RX_SOFTWARE_BUF_ENABLED */

#if (DSPSPI_TX_SOFTWARE_BUF_ENABLED)

    extern volatile uint8 DSPSPI_txBuffer[DSPSPI_TX_BUFFER_SIZE];
    extern volatile uint8 DSPSPI_txBufferRead;
    extern volatile uint8 DSPSPI_txBufferWrite;
    extern volatile uint8 DSPSPI_txBufferFull;

#endif /* DSPSPI_TX_SOFTWARE_BUF_ENABLED */

#endif /* CY_SPIS_PVT_DSPSPI_H */


/* [] END OF FILE */
