/*******************************************************************************
* File Name: GIGE10_SFP2_SIG_LOSS.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GIGE10_SFP2_SIG_LOSS_H) /* Pins GIGE10_SFP2_SIG_LOSS_H */
#define CY_PINS_GIGE10_SFP2_SIG_LOSS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GIGE10_SFP2_SIG_LOSS_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GIGE10_SFP2_SIG_LOSS__PORT == 15 && ((GIGE10_SFP2_SIG_LOSS__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    GIGE10_SFP2_SIG_LOSS_Write(uint8 value);
void    GIGE10_SFP2_SIG_LOSS_SetDriveMode(uint8 mode);
uint8   GIGE10_SFP2_SIG_LOSS_ReadDataReg(void);
uint8   GIGE10_SFP2_SIG_LOSS_Read(void);
void    GIGE10_SFP2_SIG_LOSS_SetInterruptMode(uint16 position, uint16 mode);
uint8   GIGE10_SFP2_SIG_LOSS_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the GIGE10_SFP2_SIG_LOSS_SetDriveMode() function.
     *  @{
     */
        #define GIGE10_SFP2_SIG_LOSS_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define GIGE10_SFP2_SIG_LOSS_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define GIGE10_SFP2_SIG_LOSS_DM_RES_UP          PIN_DM_RES_UP
        #define GIGE10_SFP2_SIG_LOSS_DM_RES_DWN         PIN_DM_RES_DWN
        #define GIGE10_SFP2_SIG_LOSS_DM_OD_LO           PIN_DM_OD_LO
        #define GIGE10_SFP2_SIG_LOSS_DM_OD_HI           PIN_DM_OD_HI
        #define GIGE10_SFP2_SIG_LOSS_DM_STRONG          PIN_DM_STRONG
        #define GIGE10_SFP2_SIG_LOSS_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define GIGE10_SFP2_SIG_LOSS_MASK               GIGE10_SFP2_SIG_LOSS__MASK
#define GIGE10_SFP2_SIG_LOSS_SHIFT              GIGE10_SFP2_SIG_LOSS__SHIFT
#define GIGE10_SFP2_SIG_LOSS_WIDTH              1u

/* Interrupt constants */
#if defined(GIGE10_SFP2_SIG_LOSS__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in GIGE10_SFP2_SIG_LOSS_SetInterruptMode() function.
     *  @{
     */
        #define GIGE10_SFP2_SIG_LOSS_INTR_NONE      (uint16)(0x0000u)
        #define GIGE10_SFP2_SIG_LOSS_INTR_RISING    (uint16)(0x0001u)
        #define GIGE10_SFP2_SIG_LOSS_INTR_FALLING   (uint16)(0x0002u)
        #define GIGE10_SFP2_SIG_LOSS_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define GIGE10_SFP2_SIG_LOSS_INTR_MASK      (0x01u) 
#endif /* (GIGE10_SFP2_SIG_LOSS__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GIGE10_SFP2_SIG_LOSS_PS                     (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PS)
/* Data Register */
#define GIGE10_SFP2_SIG_LOSS_DR                     (* (reg8 *) GIGE10_SFP2_SIG_LOSS__DR)
/* Port Number */
#define GIGE10_SFP2_SIG_LOSS_PRT_NUM                (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRT) 
/* Connect to Analog Globals */                                                  
#define GIGE10_SFP2_SIG_LOSS_AG                     (* (reg8 *) GIGE10_SFP2_SIG_LOSS__AG)                       
/* Analog MUX bux enable */
#define GIGE10_SFP2_SIG_LOSS_AMUX                   (* (reg8 *) GIGE10_SFP2_SIG_LOSS__AMUX) 
/* Bidirectional Enable */                                                        
#define GIGE10_SFP2_SIG_LOSS_BIE                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__BIE)
/* Bit-mask for Aliased Register Access */
#define GIGE10_SFP2_SIG_LOSS_BIT_MASK               (* (reg8 *) GIGE10_SFP2_SIG_LOSS__BIT_MASK)
/* Bypass Enable */
#define GIGE10_SFP2_SIG_LOSS_BYP                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__BYP)
/* Port wide control signals */                                                   
#define GIGE10_SFP2_SIG_LOSS_CTL                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__CTL)
/* Drive Modes */
#define GIGE10_SFP2_SIG_LOSS_DM0                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__DM0) 
#define GIGE10_SFP2_SIG_LOSS_DM1                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__DM1)
#define GIGE10_SFP2_SIG_LOSS_DM2                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__DM2) 
/* Input Buffer Disable Override */
#define GIGE10_SFP2_SIG_LOSS_INP_DIS                (* (reg8 *) GIGE10_SFP2_SIG_LOSS__INP_DIS)
/* LCD Common or Segment Drive */
#define GIGE10_SFP2_SIG_LOSS_LCD_COM_SEG            (* (reg8 *) GIGE10_SFP2_SIG_LOSS__LCD_COM_SEG)
/* Enable Segment LCD */
#define GIGE10_SFP2_SIG_LOSS_LCD_EN                 (* (reg8 *) GIGE10_SFP2_SIG_LOSS__LCD_EN)
/* Slew Rate Control */
#define GIGE10_SFP2_SIG_LOSS_SLW                    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__CAPS_SEL       (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__OE_SEL0        (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__OE_SEL0) 
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__OE_SEL1        (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__OUT_SEL0       (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__OUT_SEL0) 
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__OUT_SEL1       (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GIGE10_SFP2_SIG_LOSS_PRTDSI__SYNC_OUT       (* (reg8 *) GIGE10_SFP2_SIG_LOSS__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(GIGE10_SFP2_SIG_LOSS__SIO_CFG)
    #define GIGE10_SFP2_SIG_LOSS_SIO_HYST_EN        (* (reg8 *) GIGE10_SFP2_SIG_LOSS__SIO_HYST_EN)
    #define GIGE10_SFP2_SIG_LOSS_SIO_REG_HIFREQ     (* (reg8 *) GIGE10_SFP2_SIG_LOSS__SIO_REG_HIFREQ)
    #define GIGE10_SFP2_SIG_LOSS_SIO_CFG            (* (reg8 *) GIGE10_SFP2_SIG_LOSS__SIO_CFG)
    #define GIGE10_SFP2_SIG_LOSS_SIO_DIFF           (* (reg8 *) GIGE10_SFP2_SIG_LOSS__SIO_DIFF)
#endif /* (GIGE10_SFP2_SIG_LOSS__SIO_CFG) */

/* Interrupt Registers */
#if defined(GIGE10_SFP2_SIG_LOSS__INTSTAT)
    #define GIGE10_SFP2_SIG_LOSS_INTSTAT            (* (reg8 *) GIGE10_SFP2_SIG_LOSS__INTSTAT)
    #define GIGE10_SFP2_SIG_LOSS_SNAP               (* (reg8 *) GIGE10_SFP2_SIG_LOSS__SNAP)
    
	#define GIGE10_SFP2_SIG_LOSS_0_INTTYPE_REG 		(* (reg8 *) GIGE10_SFP2_SIG_LOSS__0__INTTYPE)
#endif /* (GIGE10_SFP2_SIG_LOSS__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_GIGE10_SFP2_SIG_LOSS_H */


/* [] END OF FILE */
