/*******************************************************************************
* File Name: GIGE_PHY_RESET.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GIGE_PHY_RESET_H) /* Pins GIGE_PHY_RESET_H */
#define CY_PINS_GIGE_PHY_RESET_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GIGE_PHY_RESET_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GIGE_PHY_RESET__PORT == 15 && ((GIGE_PHY_RESET__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    GIGE_PHY_RESET_Write(uint8 value);
void    GIGE_PHY_RESET_SetDriveMode(uint8 mode);
uint8   GIGE_PHY_RESET_ReadDataReg(void);
uint8   GIGE_PHY_RESET_Read(void);
void    GIGE_PHY_RESET_SetInterruptMode(uint16 position, uint16 mode);
uint8   GIGE_PHY_RESET_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the GIGE_PHY_RESET_SetDriveMode() function.
     *  @{
     */
        #define GIGE_PHY_RESET_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define GIGE_PHY_RESET_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define GIGE_PHY_RESET_DM_RES_UP          PIN_DM_RES_UP
        #define GIGE_PHY_RESET_DM_RES_DWN         PIN_DM_RES_DWN
        #define GIGE_PHY_RESET_DM_OD_LO           PIN_DM_OD_LO
        #define GIGE_PHY_RESET_DM_OD_HI           PIN_DM_OD_HI
        #define GIGE_PHY_RESET_DM_STRONG          PIN_DM_STRONG
        #define GIGE_PHY_RESET_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define GIGE_PHY_RESET_MASK               GIGE_PHY_RESET__MASK
#define GIGE_PHY_RESET_SHIFT              GIGE_PHY_RESET__SHIFT
#define GIGE_PHY_RESET_WIDTH              1u

/* Interrupt constants */
#if defined(GIGE_PHY_RESET__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in GIGE_PHY_RESET_SetInterruptMode() function.
     *  @{
     */
        #define GIGE_PHY_RESET_INTR_NONE      (uint16)(0x0000u)
        #define GIGE_PHY_RESET_INTR_RISING    (uint16)(0x0001u)
        #define GIGE_PHY_RESET_INTR_FALLING   (uint16)(0x0002u)
        #define GIGE_PHY_RESET_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define GIGE_PHY_RESET_INTR_MASK      (0x01u) 
#endif /* (GIGE_PHY_RESET__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GIGE_PHY_RESET_PS                     (* (reg8 *) GIGE_PHY_RESET__PS)
/* Data Register */
#define GIGE_PHY_RESET_DR                     (* (reg8 *) GIGE_PHY_RESET__DR)
/* Port Number */
#define GIGE_PHY_RESET_PRT_NUM                (* (reg8 *) GIGE_PHY_RESET__PRT) 
/* Connect to Analog Globals */                                                  
#define GIGE_PHY_RESET_AG                     (* (reg8 *) GIGE_PHY_RESET__AG)                       
/* Analog MUX bux enable */
#define GIGE_PHY_RESET_AMUX                   (* (reg8 *) GIGE_PHY_RESET__AMUX) 
/* Bidirectional Enable */                                                        
#define GIGE_PHY_RESET_BIE                    (* (reg8 *) GIGE_PHY_RESET__BIE)
/* Bit-mask for Aliased Register Access */
#define GIGE_PHY_RESET_BIT_MASK               (* (reg8 *) GIGE_PHY_RESET__BIT_MASK)
/* Bypass Enable */
#define GIGE_PHY_RESET_BYP                    (* (reg8 *) GIGE_PHY_RESET__BYP)
/* Port wide control signals */                                                   
#define GIGE_PHY_RESET_CTL                    (* (reg8 *) GIGE_PHY_RESET__CTL)
/* Drive Modes */
#define GIGE_PHY_RESET_DM0                    (* (reg8 *) GIGE_PHY_RESET__DM0) 
#define GIGE_PHY_RESET_DM1                    (* (reg8 *) GIGE_PHY_RESET__DM1)
#define GIGE_PHY_RESET_DM2                    (* (reg8 *) GIGE_PHY_RESET__DM2) 
/* Input Buffer Disable Override */
#define GIGE_PHY_RESET_INP_DIS                (* (reg8 *) GIGE_PHY_RESET__INP_DIS)
/* LCD Common or Segment Drive */
#define GIGE_PHY_RESET_LCD_COM_SEG            (* (reg8 *) GIGE_PHY_RESET__LCD_COM_SEG)
/* Enable Segment LCD */
#define GIGE_PHY_RESET_LCD_EN                 (* (reg8 *) GIGE_PHY_RESET__LCD_EN)
/* Slew Rate Control */
#define GIGE_PHY_RESET_SLW                    (* (reg8 *) GIGE_PHY_RESET__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GIGE_PHY_RESET_PRTDSI__CAPS_SEL       (* (reg8 *) GIGE_PHY_RESET__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GIGE_PHY_RESET_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GIGE_PHY_RESET__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GIGE_PHY_RESET_PRTDSI__OE_SEL0        (* (reg8 *) GIGE_PHY_RESET__PRTDSI__OE_SEL0) 
#define GIGE_PHY_RESET_PRTDSI__OE_SEL1        (* (reg8 *) GIGE_PHY_RESET__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GIGE_PHY_RESET_PRTDSI__OUT_SEL0       (* (reg8 *) GIGE_PHY_RESET__PRTDSI__OUT_SEL0) 
#define GIGE_PHY_RESET_PRTDSI__OUT_SEL1       (* (reg8 *) GIGE_PHY_RESET__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GIGE_PHY_RESET_PRTDSI__SYNC_OUT       (* (reg8 *) GIGE_PHY_RESET__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(GIGE_PHY_RESET__SIO_CFG)
    #define GIGE_PHY_RESET_SIO_HYST_EN        (* (reg8 *) GIGE_PHY_RESET__SIO_HYST_EN)
    #define GIGE_PHY_RESET_SIO_REG_HIFREQ     (* (reg8 *) GIGE_PHY_RESET__SIO_REG_HIFREQ)
    #define GIGE_PHY_RESET_SIO_CFG            (* (reg8 *) GIGE_PHY_RESET__SIO_CFG)
    #define GIGE_PHY_RESET_SIO_DIFF           (* (reg8 *) GIGE_PHY_RESET__SIO_DIFF)
#endif /* (GIGE_PHY_RESET__SIO_CFG) */

/* Interrupt Registers */
#if defined(GIGE_PHY_RESET__INTSTAT)
    #define GIGE_PHY_RESET_INTSTAT            (* (reg8 *) GIGE_PHY_RESET__INTSTAT)
    #define GIGE_PHY_RESET_SNAP               (* (reg8 *) GIGE_PHY_RESET__SNAP)
    
	#define GIGE_PHY_RESET_0_INTTYPE_REG 		(* (reg8 *) GIGE_PHY_RESET__0__INTTYPE)
#endif /* (GIGE_PHY_RESET__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_GIGE_PHY_RESET_H */


/* [] END OF FILE */
