/*******************************************************************************
* File Name: .h
* Version 2.50
*
* Description:
*  This private header file contains internal definitions for the SPIM
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIM_PVT_LEDDRIVER_H)
#define CY_SPIM_PVT_LEDDRIVER_H

#include "LEDDRIVER.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/

extern volatile uint8 LEDDRIVER_swStatusTx;
extern volatile uint8 LEDDRIVER_swStatusRx;

#if(LEDDRIVER_TX_SOFTWARE_BUF_ENABLED)
    extern volatile uint16 LEDDRIVER_txBuffer[LEDDRIVER_TX_BUFFER_SIZE];
    extern volatile uint8 LEDDRIVER_txBufferRead;
    extern volatile uint8 LEDDRIVER_txBufferWrite;
    extern volatile uint8 LEDDRIVER_txBufferFull;
#endif /* (LEDDRIVER_TX_SOFTWARE_BUF_ENABLED) */

#if(LEDDRIVER_RX_SOFTWARE_BUF_ENABLED)
    extern volatile uint16 LEDDRIVER_rxBuffer[LEDDRIVER_RX_BUFFER_SIZE];
    extern volatile uint8 LEDDRIVER_rxBufferRead;
    extern volatile uint8 LEDDRIVER_rxBufferWrite;
    extern volatile uint8 LEDDRIVER_rxBufferFull;
#endif /* (LEDDRIVER_RX_SOFTWARE_BUF_ENABLED) */

#endif /* CY_SPIM_PVT_LEDDRIVER_H */


/* [] END OF FILE */
