/*******************************************************************************
* File Name: MCUTEST7.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_MCUTEST7_H) /* Pins MCUTEST7_H */
#define CY_PINS_MCUTEST7_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "MCUTEST7_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 MCUTEST7__PORT == 15 && ((MCUTEST7__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    MCUTEST7_Write(uint8 value);
void    MCUTEST7_SetDriveMode(uint8 mode);
uint8   MCUTEST7_ReadDataReg(void);
uint8   MCUTEST7_Read(void);
void    MCUTEST7_SetInterruptMode(uint16 position, uint16 mode);
uint8   MCUTEST7_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the MCUTEST7_SetDriveMode() function.
     *  @{
     */
        #define MCUTEST7_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define MCUTEST7_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define MCUTEST7_DM_RES_UP          PIN_DM_RES_UP
        #define MCUTEST7_DM_RES_DWN         PIN_DM_RES_DWN
        #define MCUTEST7_DM_OD_LO           PIN_DM_OD_LO
        #define MCUTEST7_DM_OD_HI           PIN_DM_OD_HI
        #define MCUTEST7_DM_STRONG          PIN_DM_STRONG
        #define MCUTEST7_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define MCUTEST7_MASK               MCUTEST7__MASK
#define MCUTEST7_SHIFT              MCUTEST7__SHIFT
#define MCUTEST7_WIDTH              1u

/* Interrupt constants */
#if defined(MCUTEST7__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in MCUTEST7_SetInterruptMode() function.
     *  @{
     */
        #define MCUTEST7_INTR_NONE      (uint16)(0x0000u)
        #define MCUTEST7_INTR_RISING    (uint16)(0x0001u)
        #define MCUTEST7_INTR_FALLING   (uint16)(0x0002u)
        #define MCUTEST7_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define MCUTEST7_INTR_MASK      (0x01u) 
#endif /* (MCUTEST7__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define MCUTEST7_PS                     (* (reg8 *) MCUTEST7__PS)
/* Data Register */
#define MCUTEST7_DR                     (* (reg8 *) MCUTEST7__DR)
/* Port Number */
#define MCUTEST7_PRT_NUM                (* (reg8 *) MCUTEST7__PRT) 
/* Connect to Analog Globals */                                                  
#define MCUTEST7_AG                     (* (reg8 *) MCUTEST7__AG)                       
/* Analog MUX bux enable */
#define MCUTEST7_AMUX                   (* (reg8 *) MCUTEST7__AMUX) 
/* Bidirectional Enable */                                                        
#define MCUTEST7_BIE                    (* (reg8 *) MCUTEST7__BIE)
/* Bit-mask for Aliased Register Access */
#define MCUTEST7_BIT_MASK               (* (reg8 *) MCUTEST7__BIT_MASK)
/* Bypass Enable */
#define MCUTEST7_BYP                    (* (reg8 *) MCUTEST7__BYP)
/* Port wide control signals */                                                   
#define MCUTEST7_CTL                    (* (reg8 *) MCUTEST7__CTL)
/* Drive Modes */
#define MCUTEST7_DM0                    (* (reg8 *) MCUTEST7__DM0) 
#define MCUTEST7_DM1                    (* (reg8 *) MCUTEST7__DM1)
#define MCUTEST7_DM2                    (* (reg8 *) MCUTEST7__DM2) 
/* Input Buffer Disable Override */
#define MCUTEST7_INP_DIS                (* (reg8 *) MCUTEST7__INP_DIS)
/* LCD Common or Segment Drive */
#define MCUTEST7_LCD_COM_SEG            (* (reg8 *) MCUTEST7__LCD_COM_SEG)
/* Enable Segment LCD */
#define MCUTEST7_LCD_EN                 (* (reg8 *) MCUTEST7__LCD_EN)
/* Slew Rate Control */
#define MCUTEST7_SLW                    (* (reg8 *) MCUTEST7__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define MCUTEST7_PRTDSI__CAPS_SEL       (* (reg8 *) MCUTEST7__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define MCUTEST7_PRTDSI__DBL_SYNC_IN    (* (reg8 *) MCUTEST7__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define MCUTEST7_PRTDSI__OE_SEL0        (* (reg8 *) MCUTEST7__PRTDSI__OE_SEL0) 
#define MCUTEST7_PRTDSI__OE_SEL1        (* (reg8 *) MCUTEST7__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define MCUTEST7_PRTDSI__OUT_SEL0       (* (reg8 *) MCUTEST7__PRTDSI__OUT_SEL0) 
#define MCUTEST7_PRTDSI__OUT_SEL1       (* (reg8 *) MCUTEST7__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define MCUTEST7_PRTDSI__SYNC_OUT       (* (reg8 *) MCUTEST7__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(MCUTEST7__SIO_CFG)
    #define MCUTEST7_SIO_HYST_EN        (* (reg8 *) MCUTEST7__SIO_HYST_EN)
    #define MCUTEST7_SIO_REG_HIFREQ     (* (reg8 *) MCUTEST7__SIO_REG_HIFREQ)
    #define MCUTEST7_SIO_CFG            (* (reg8 *) MCUTEST7__SIO_CFG)
    #define MCUTEST7_SIO_DIFF           (* (reg8 *) MCUTEST7__SIO_DIFF)
#endif /* (MCUTEST7__SIO_CFG) */

/* Interrupt Registers */
#if defined(MCUTEST7__INTSTAT)
    #define MCUTEST7_INTSTAT            (* (reg8 *) MCUTEST7__INTSTAT)
    #define MCUTEST7_SNAP               (* (reg8 *) MCUTEST7__SNAP)
    
	#define MCUTEST7_0_INTTYPE_REG 		(* (reg8 *) MCUTEST7__0__INTTYPE)
#endif /* (MCUTEST7__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_MCUTEST7_H */


/* [] END OF FILE */
