/*******************************************************************************
* File Name: MCUTEST8.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_MCUTEST8_H) /* Pins MCUTEST8_H */
#define CY_PINS_MCUTEST8_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "MCUTEST8_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 MCUTEST8__PORT == 15 && ((MCUTEST8__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    MCUTEST8_Write(uint8 value);
void    MCUTEST8_SetDriveMode(uint8 mode);
uint8   MCUTEST8_ReadDataReg(void);
uint8   MCUTEST8_Read(void);
void    MCUTEST8_SetInterruptMode(uint16 position, uint16 mode);
uint8   MCUTEST8_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the MCUTEST8_SetDriveMode() function.
     *  @{
     */
        #define MCUTEST8_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define MCUTEST8_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define MCUTEST8_DM_RES_UP          PIN_DM_RES_UP
        #define MCUTEST8_DM_RES_DWN         PIN_DM_RES_DWN
        #define MCUTEST8_DM_OD_LO           PIN_DM_OD_LO
        #define MCUTEST8_DM_OD_HI           PIN_DM_OD_HI
        #define MCUTEST8_DM_STRONG          PIN_DM_STRONG
        #define MCUTEST8_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define MCUTEST8_MASK               MCUTEST8__MASK
#define MCUTEST8_SHIFT              MCUTEST8__SHIFT
#define MCUTEST8_WIDTH              1u

/* Interrupt constants */
#if defined(MCUTEST8__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in MCUTEST8_SetInterruptMode() function.
     *  @{
     */
        #define MCUTEST8_INTR_NONE      (uint16)(0x0000u)
        #define MCUTEST8_INTR_RISING    (uint16)(0x0001u)
        #define MCUTEST8_INTR_FALLING   (uint16)(0x0002u)
        #define MCUTEST8_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define MCUTEST8_INTR_MASK      (0x01u) 
#endif /* (MCUTEST8__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define MCUTEST8_PS                     (* (reg8 *) MCUTEST8__PS)
/* Data Register */
#define MCUTEST8_DR                     (* (reg8 *) MCUTEST8__DR)
/* Port Number */
#define MCUTEST8_PRT_NUM                (* (reg8 *) MCUTEST8__PRT) 
/* Connect to Analog Globals */                                                  
#define MCUTEST8_AG                     (* (reg8 *) MCUTEST8__AG)                       
/* Analog MUX bux enable */
#define MCUTEST8_AMUX                   (* (reg8 *) MCUTEST8__AMUX) 
/* Bidirectional Enable */                                                        
#define MCUTEST8_BIE                    (* (reg8 *) MCUTEST8__BIE)
/* Bit-mask for Aliased Register Access */
#define MCUTEST8_BIT_MASK               (* (reg8 *) MCUTEST8__BIT_MASK)
/* Bypass Enable */
#define MCUTEST8_BYP                    (* (reg8 *) MCUTEST8__BYP)
/* Port wide control signals */                                                   
#define MCUTEST8_CTL                    (* (reg8 *) MCUTEST8__CTL)
/* Drive Modes */
#define MCUTEST8_DM0                    (* (reg8 *) MCUTEST8__DM0) 
#define MCUTEST8_DM1                    (* (reg8 *) MCUTEST8__DM1)
#define MCUTEST8_DM2                    (* (reg8 *) MCUTEST8__DM2) 
/* Input Buffer Disable Override */
#define MCUTEST8_INP_DIS                (* (reg8 *) MCUTEST8__INP_DIS)
/* LCD Common or Segment Drive */
#define MCUTEST8_LCD_COM_SEG            (* (reg8 *) MCUTEST8__LCD_COM_SEG)
/* Enable Segment LCD */
#define MCUTEST8_LCD_EN                 (* (reg8 *) MCUTEST8__LCD_EN)
/* Slew Rate Control */
#define MCUTEST8_SLW                    (* (reg8 *) MCUTEST8__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define MCUTEST8_PRTDSI__CAPS_SEL       (* (reg8 *) MCUTEST8__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define MCUTEST8_PRTDSI__DBL_SYNC_IN    (* (reg8 *) MCUTEST8__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define MCUTEST8_PRTDSI__OE_SEL0        (* (reg8 *) MCUTEST8__PRTDSI__OE_SEL0) 
#define MCUTEST8_PRTDSI__OE_SEL1        (* (reg8 *) MCUTEST8__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define MCUTEST8_PRTDSI__OUT_SEL0       (* (reg8 *) MCUTEST8__PRTDSI__OUT_SEL0) 
#define MCUTEST8_PRTDSI__OUT_SEL1       (* (reg8 *) MCUTEST8__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define MCUTEST8_PRTDSI__SYNC_OUT       (* (reg8 *) MCUTEST8__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(MCUTEST8__SIO_CFG)
    #define MCUTEST8_SIO_HYST_EN        (* (reg8 *) MCUTEST8__SIO_HYST_EN)
    #define MCUTEST8_SIO_REG_HIFREQ     (* (reg8 *) MCUTEST8__SIO_REG_HIFREQ)
    #define MCUTEST8_SIO_CFG            (* (reg8 *) MCUTEST8__SIO_CFG)
    #define MCUTEST8_SIO_DIFF           (* (reg8 *) MCUTEST8__SIO_DIFF)
#endif /* (MCUTEST8__SIO_CFG) */

/* Interrupt Registers */
#if defined(MCUTEST8__INTSTAT)
    #define MCUTEST8_INTSTAT            (* (reg8 *) MCUTEST8__INTSTAT)
    #define MCUTEST8_SNAP               (* (reg8 *) MCUTEST8__SNAP)
    
	#define MCUTEST8_0_INTTYPE_REG 		(* (reg8 *) MCUTEST8__0__INTTYPE)
#endif /* (MCUTEST8__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_MCUTEST8_H */


/* [] END OF FILE */
