/*******************************************************************************
* File Name: POWER10_GOODAUX3V3.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_POWER10_GOODAUX3V3_H) /* Pins POWER10_GOODAUX3V3_H */
#define CY_PINS_POWER10_GOODAUX3V3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "POWER10_GOODAUX3V3_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 POWER10_GOODAUX3V3__PORT == 15 && ((POWER10_GOODAUX3V3__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    POWER10_GOODAUX3V3_Write(uint8 value);
void    POWER10_GOODAUX3V3_SetDriveMode(uint8 mode);
uint8   POWER10_GOODAUX3V3_ReadDataReg(void);
uint8   POWER10_GOODAUX3V3_Read(void);
void    POWER10_GOODAUX3V3_SetInterruptMode(uint16 position, uint16 mode);
uint8   POWER10_GOODAUX3V3_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the POWER10_GOODAUX3V3_SetDriveMode() function.
     *  @{
     */
        #define POWER10_GOODAUX3V3_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define POWER10_GOODAUX3V3_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define POWER10_GOODAUX3V3_DM_RES_UP          PIN_DM_RES_UP
        #define POWER10_GOODAUX3V3_DM_RES_DWN         PIN_DM_RES_DWN
        #define POWER10_GOODAUX3V3_DM_OD_LO           PIN_DM_OD_LO
        #define POWER10_GOODAUX3V3_DM_OD_HI           PIN_DM_OD_HI
        #define POWER10_GOODAUX3V3_DM_STRONG          PIN_DM_STRONG
        #define POWER10_GOODAUX3V3_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define POWER10_GOODAUX3V3_MASK               POWER10_GOODAUX3V3__MASK
#define POWER10_GOODAUX3V3_SHIFT              POWER10_GOODAUX3V3__SHIFT
#define POWER10_GOODAUX3V3_WIDTH              1u

/* Interrupt constants */
#if defined(POWER10_GOODAUX3V3__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in POWER10_GOODAUX3V3_SetInterruptMode() function.
     *  @{
     */
        #define POWER10_GOODAUX3V3_INTR_NONE      (uint16)(0x0000u)
        #define POWER10_GOODAUX3V3_INTR_RISING    (uint16)(0x0001u)
        #define POWER10_GOODAUX3V3_INTR_FALLING   (uint16)(0x0002u)
        #define POWER10_GOODAUX3V3_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define POWER10_GOODAUX3V3_INTR_MASK      (0x01u) 
#endif /* (POWER10_GOODAUX3V3__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define POWER10_GOODAUX3V3_PS                     (* (reg8 *) POWER10_GOODAUX3V3__PS)
/* Data Register */
#define POWER10_GOODAUX3V3_DR                     (* (reg8 *) POWER10_GOODAUX3V3__DR)
/* Port Number */
#define POWER10_GOODAUX3V3_PRT_NUM                (* (reg8 *) POWER10_GOODAUX3V3__PRT) 
/* Connect to Analog Globals */                                                  
#define POWER10_GOODAUX3V3_AG                     (* (reg8 *) POWER10_GOODAUX3V3__AG)                       
/* Analog MUX bux enable */
#define POWER10_GOODAUX3V3_AMUX                   (* (reg8 *) POWER10_GOODAUX3V3__AMUX) 
/* Bidirectional Enable */                                                        
#define POWER10_GOODAUX3V3_BIE                    (* (reg8 *) POWER10_GOODAUX3V3__BIE)
/* Bit-mask for Aliased Register Access */
#define POWER10_GOODAUX3V3_BIT_MASK               (* (reg8 *) POWER10_GOODAUX3V3__BIT_MASK)
/* Bypass Enable */
#define POWER10_GOODAUX3V3_BYP                    (* (reg8 *) POWER10_GOODAUX3V3__BYP)
/* Port wide control signals */                                                   
#define POWER10_GOODAUX3V3_CTL                    (* (reg8 *) POWER10_GOODAUX3V3__CTL)
/* Drive Modes */
#define POWER10_GOODAUX3V3_DM0                    (* (reg8 *) POWER10_GOODAUX3V3__DM0) 
#define POWER10_GOODAUX3V3_DM1                    (* (reg8 *) POWER10_GOODAUX3V3__DM1)
#define POWER10_GOODAUX3V3_DM2                    (* (reg8 *) POWER10_GOODAUX3V3__DM2) 
/* Input Buffer Disable Override */
#define POWER10_GOODAUX3V3_INP_DIS                (* (reg8 *) POWER10_GOODAUX3V3__INP_DIS)
/* LCD Common or Segment Drive */
#define POWER10_GOODAUX3V3_LCD_COM_SEG            (* (reg8 *) POWER10_GOODAUX3V3__LCD_COM_SEG)
/* Enable Segment LCD */
#define POWER10_GOODAUX3V3_LCD_EN                 (* (reg8 *) POWER10_GOODAUX3V3__LCD_EN)
/* Slew Rate Control */
#define POWER10_GOODAUX3V3_SLW                    (* (reg8 *) POWER10_GOODAUX3V3__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define POWER10_GOODAUX3V3_PRTDSI__CAPS_SEL       (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define POWER10_GOODAUX3V3_PRTDSI__DBL_SYNC_IN    (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define POWER10_GOODAUX3V3_PRTDSI__OE_SEL0        (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__OE_SEL0) 
#define POWER10_GOODAUX3V3_PRTDSI__OE_SEL1        (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define POWER10_GOODAUX3V3_PRTDSI__OUT_SEL0       (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__OUT_SEL0) 
#define POWER10_GOODAUX3V3_PRTDSI__OUT_SEL1       (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define POWER10_GOODAUX3V3_PRTDSI__SYNC_OUT       (* (reg8 *) POWER10_GOODAUX3V3__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(POWER10_GOODAUX3V3__SIO_CFG)
    #define POWER10_GOODAUX3V3_SIO_HYST_EN        (* (reg8 *) POWER10_GOODAUX3V3__SIO_HYST_EN)
    #define POWER10_GOODAUX3V3_SIO_REG_HIFREQ     (* (reg8 *) POWER10_GOODAUX3V3__SIO_REG_HIFREQ)
    #define POWER10_GOODAUX3V3_SIO_CFG            (* (reg8 *) POWER10_GOODAUX3V3__SIO_CFG)
    #define POWER10_GOODAUX3V3_SIO_DIFF           (* (reg8 *) POWER10_GOODAUX3V3__SIO_DIFF)
#endif /* (POWER10_GOODAUX3V3__SIO_CFG) */

/* Interrupt Registers */
#if defined(POWER10_GOODAUX3V3__INTSTAT)
    #define POWER10_GOODAUX3V3_INTSTAT            (* (reg8 *) POWER10_GOODAUX3V3__INTSTAT)
    #define POWER10_GOODAUX3V3_SNAP               (* (reg8 *) POWER10_GOODAUX3V3__SNAP)
    
	#define POWER10_GOODAUX3V3_0_INTTYPE_REG 		(* (reg8 *) POWER10_GOODAUX3V3__0__INTTYPE)
#endif /* (POWER10_GOODAUX3V3__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_POWER10_GOODAUX3V3_H */


/* [] END OF FILE */
