/*******************************************************************************
* File Name: POWER1_GOODCORE.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_POWER1_GOODCORE_H) /* Pins POWER1_GOODCORE_H */
#define CY_PINS_POWER1_GOODCORE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "POWER1_GOODCORE_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 POWER1_GOODCORE__PORT == 15 && ((POWER1_GOODCORE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    POWER1_GOODCORE_Write(uint8 value);
void    POWER1_GOODCORE_SetDriveMode(uint8 mode);
uint8   POWER1_GOODCORE_ReadDataReg(void);
uint8   POWER1_GOODCORE_Read(void);
void    POWER1_GOODCORE_SetInterruptMode(uint16 position, uint16 mode);
uint8   POWER1_GOODCORE_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the POWER1_GOODCORE_SetDriveMode() function.
     *  @{
     */
        #define POWER1_GOODCORE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define POWER1_GOODCORE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define POWER1_GOODCORE_DM_RES_UP          PIN_DM_RES_UP
        #define POWER1_GOODCORE_DM_RES_DWN         PIN_DM_RES_DWN
        #define POWER1_GOODCORE_DM_OD_LO           PIN_DM_OD_LO
        #define POWER1_GOODCORE_DM_OD_HI           PIN_DM_OD_HI
        #define POWER1_GOODCORE_DM_STRONG          PIN_DM_STRONG
        #define POWER1_GOODCORE_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define POWER1_GOODCORE_MASK               POWER1_GOODCORE__MASK
#define POWER1_GOODCORE_SHIFT              POWER1_GOODCORE__SHIFT
#define POWER1_GOODCORE_WIDTH              1u

/* Interrupt constants */
#if defined(POWER1_GOODCORE__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in POWER1_GOODCORE_SetInterruptMode() function.
     *  @{
     */
        #define POWER1_GOODCORE_INTR_NONE      (uint16)(0x0000u)
        #define POWER1_GOODCORE_INTR_RISING    (uint16)(0x0001u)
        #define POWER1_GOODCORE_INTR_FALLING   (uint16)(0x0002u)
        #define POWER1_GOODCORE_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define POWER1_GOODCORE_INTR_MASK      (0x01u) 
#endif /* (POWER1_GOODCORE__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define POWER1_GOODCORE_PS                     (* (reg8 *) POWER1_GOODCORE__PS)
/* Data Register */
#define POWER1_GOODCORE_DR                     (* (reg8 *) POWER1_GOODCORE__DR)
/* Port Number */
#define POWER1_GOODCORE_PRT_NUM                (* (reg8 *) POWER1_GOODCORE__PRT) 
/* Connect to Analog Globals */                                                  
#define POWER1_GOODCORE_AG                     (* (reg8 *) POWER1_GOODCORE__AG)                       
/* Analog MUX bux enable */
#define POWER1_GOODCORE_AMUX                   (* (reg8 *) POWER1_GOODCORE__AMUX) 
/* Bidirectional Enable */                                                        
#define POWER1_GOODCORE_BIE                    (* (reg8 *) POWER1_GOODCORE__BIE)
/* Bit-mask for Aliased Register Access */
#define POWER1_GOODCORE_BIT_MASK               (* (reg8 *) POWER1_GOODCORE__BIT_MASK)
/* Bypass Enable */
#define POWER1_GOODCORE_BYP                    (* (reg8 *) POWER1_GOODCORE__BYP)
/* Port wide control signals */                                                   
#define POWER1_GOODCORE_CTL                    (* (reg8 *) POWER1_GOODCORE__CTL)
/* Drive Modes */
#define POWER1_GOODCORE_DM0                    (* (reg8 *) POWER1_GOODCORE__DM0) 
#define POWER1_GOODCORE_DM1                    (* (reg8 *) POWER1_GOODCORE__DM1)
#define POWER1_GOODCORE_DM2                    (* (reg8 *) POWER1_GOODCORE__DM2) 
/* Input Buffer Disable Override */
#define POWER1_GOODCORE_INP_DIS                (* (reg8 *) POWER1_GOODCORE__INP_DIS)
/* LCD Common or Segment Drive */
#define POWER1_GOODCORE_LCD_COM_SEG            (* (reg8 *) POWER1_GOODCORE__LCD_COM_SEG)
/* Enable Segment LCD */
#define POWER1_GOODCORE_LCD_EN                 (* (reg8 *) POWER1_GOODCORE__LCD_EN)
/* Slew Rate Control */
#define POWER1_GOODCORE_SLW                    (* (reg8 *) POWER1_GOODCORE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define POWER1_GOODCORE_PRTDSI__CAPS_SEL       (* (reg8 *) POWER1_GOODCORE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define POWER1_GOODCORE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) POWER1_GOODCORE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define POWER1_GOODCORE_PRTDSI__OE_SEL0        (* (reg8 *) POWER1_GOODCORE__PRTDSI__OE_SEL0) 
#define POWER1_GOODCORE_PRTDSI__OE_SEL1        (* (reg8 *) POWER1_GOODCORE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define POWER1_GOODCORE_PRTDSI__OUT_SEL0       (* (reg8 *) POWER1_GOODCORE__PRTDSI__OUT_SEL0) 
#define POWER1_GOODCORE_PRTDSI__OUT_SEL1       (* (reg8 *) POWER1_GOODCORE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define POWER1_GOODCORE_PRTDSI__SYNC_OUT       (* (reg8 *) POWER1_GOODCORE__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(POWER1_GOODCORE__SIO_CFG)
    #define POWER1_GOODCORE_SIO_HYST_EN        (* (reg8 *) POWER1_GOODCORE__SIO_HYST_EN)
    #define POWER1_GOODCORE_SIO_REG_HIFREQ     (* (reg8 *) POWER1_GOODCORE__SIO_REG_HIFREQ)
    #define POWER1_GOODCORE_SIO_CFG            (* (reg8 *) POWER1_GOODCORE__SIO_CFG)
    #define POWER1_GOODCORE_SIO_DIFF           (* (reg8 *) POWER1_GOODCORE__SIO_DIFF)
#endif /* (POWER1_GOODCORE__SIO_CFG) */

/* Interrupt Registers */
#if defined(POWER1_GOODCORE__INTSTAT)
    #define POWER1_GOODCORE_INTSTAT            (* (reg8 *) POWER1_GOODCORE__INTSTAT)
    #define POWER1_GOODCORE_SNAP               (* (reg8 *) POWER1_GOODCORE__SNAP)
    
	#define POWER1_GOODCORE_0_INTTYPE_REG 		(* (reg8 *) POWER1_GOODCORE__0__INTTYPE)
#endif /* (POWER1_GOODCORE__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_POWER1_GOODCORE_H */


/* [] END OF FILE */
