/*******************************************************************************
* File Name: POWER2_ENA0V95.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_POWER2_ENA0V95_H) /* Pins POWER2_ENA0V95_H */
#define CY_PINS_POWER2_ENA0V95_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "POWER2_ENA0V95_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 POWER2_ENA0V95__PORT == 15 && ((POWER2_ENA0V95__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    POWER2_ENA0V95_Write(uint8 value);
void    POWER2_ENA0V95_SetDriveMode(uint8 mode);
uint8   POWER2_ENA0V95_ReadDataReg(void);
uint8   POWER2_ENA0V95_Read(void);
void    POWER2_ENA0V95_SetInterruptMode(uint16 position, uint16 mode);
uint8   POWER2_ENA0V95_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the POWER2_ENA0V95_SetDriveMode() function.
     *  @{
     */
        #define POWER2_ENA0V95_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define POWER2_ENA0V95_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define POWER2_ENA0V95_DM_RES_UP          PIN_DM_RES_UP
        #define POWER2_ENA0V95_DM_RES_DWN         PIN_DM_RES_DWN
        #define POWER2_ENA0V95_DM_OD_LO           PIN_DM_OD_LO
        #define POWER2_ENA0V95_DM_OD_HI           PIN_DM_OD_HI
        #define POWER2_ENA0V95_DM_STRONG          PIN_DM_STRONG
        #define POWER2_ENA0V95_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define POWER2_ENA0V95_MASK               POWER2_ENA0V95__MASK
#define POWER2_ENA0V95_SHIFT              POWER2_ENA0V95__SHIFT
#define POWER2_ENA0V95_WIDTH              1u

/* Interrupt constants */
#if defined(POWER2_ENA0V95__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in POWER2_ENA0V95_SetInterruptMode() function.
     *  @{
     */
        #define POWER2_ENA0V95_INTR_NONE      (uint16)(0x0000u)
        #define POWER2_ENA0V95_INTR_RISING    (uint16)(0x0001u)
        #define POWER2_ENA0V95_INTR_FALLING   (uint16)(0x0002u)
        #define POWER2_ENA0V95_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define POWER2_ENA0V95_INTR_MASK      (0x01u) 
#endif /* (POWER2_ENA0V95__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define POWER2_ENA0V95_PS                     (* (reg8 *) POWER2_ENA0V95__PS)
/* Data Register */
#define POWER2_ENA0V95_DR                     (* (reg8 *) POWER2_ENA0V95__DR)
/* Port Number */
#define POWER2_ENA0V95_PRT_NUM                (* (reg8 *) POWER2_ENA0V95__PRT) 
/* Connect to Analog Globals */                                                  
#define POWER2_ENA0V95_AG                     (* (reg8 *) POWER2_ENA0V95__AG)                       
/* Analog MUX bux enable */
#define POWER2_ENA0V95_AMUX                   (* (reg8 *) POWER2_ENA0V95__AMUX) 
/* Bidirectional Enable */                                                        
#define POWER2_ENA0V95_BIE                    (* (reg8 *) POWER2_ENA0V95__BIE)
/* Bit-mask for Aliased Register Access */
#define POWER2_ENA0V95_BIT_MASK               (* (reg8 *) POWER2_ENA0V95__BIT_MASK)
/* Bypass Enable */
#define POWER2_ENA0V95_BYP                    (* (reg8 *) POWER2_ENA0V95__BYP)
/* Port wide control signals */                                                   
#define POWER2_ENA0V95_CTL                    (* (reg8 *) POWER2_ENA0V95__CTL)
/* Drive Modes */
#define POWER2_ENA0V95_DM0                    (* (reg8 *) POWER2_ENA0V95__DM0) 
#define POWER2_ENA0V95_DM1                    (* (reg8 *) POWER2_ENA0V95__DM1)
#define POWER2_ENA0V95_DM2                    (* (reg8 *) POWER2_ENA0V95__DM2) 
/* Input Buffer Disable Override */
#define POWER2_ENA0V95_INP_DIS                (* (reg8 *) POWER2_ENA0V95__INP_DIS)
/* LCD Common or Segment Drive */
#define POWER2_ENA0V95_LCD_COM_SEG            (* (reg8 *) POWER2_ENA0V95__LCD_COM_SEG)
/* Enable Segment LCD */
#define POWER2_ENA0V95_LCD_EN                 (* (reg8 *) POWER2_ENA0V95__LCD_EN)
/* Slew Rate Control */
#define POWER2_ENA0V95_SLW                    (* (reg8 *) POWER2_ENA0V95__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define POWER2_ENA0V95_PRTDSI__CAPS_SEL       (* (reg8 *) POWER2_ENA0V95__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define POWER2_ENA0V95_PRTDSI__DBL_SYNC_IN    (* (reg8 *) POWER2_ENA0V95__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define POWER2_ENA0V95_PRTDSI__OE_SEL0        (* (reg8 *) POWER2_ENA0V95__PRTDSI__OE_SEL0) 
#define POWER2_ENA0V95_PRTDSI__OE_SEL1        (* (reg8 *) POWER2_ENA0V95__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define POWER2_ENA0V95_PRTDSI__OUT_SEL0       (* (reg8 *) POWER2_ENA0V95__PRTDSI__OUT_SEL0) 
#define POWER2_ENA0V95_PRTDSI__OUT_SEL1       (* (reg8 *) POWER2_ENA0V95__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define POWER2_ENA0V95_PRTDSI__SYNC_OUT       (* (reg8 *) POWER2_ENA0V95__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(POWER2_ENA0V95__SIO_CFG)
    #define POWER2_ENA0V95_SIO_HYST_EN        (* (reg8 *) POWER2_ENA0V95__SIO_HYST_EN)
    #define POWER2_ENA0V95_SIO_REG_HIFREQ     (* (reg8 *) POWER2_ENA0V95__SIO_REG_HIFREQ)
    #define POWER2_ENA0V95_SIO_CFG            (* (reg8 *) POWER2_ENA0V95__SIO_CFG)
    #define POWER2_ENA0V95_SIO_DIFF           (* (reg8 *) POWER2_ENA0V95__SIO_DIFF)
#endif /* (POWER2_ENA0V95__SIO_CFG) */

/* Interrupt Registers */
#if defined(POWER2_ENA0V95__INTSTAT)
    #define POWER2_ENA0V95_INTSTAT            (* (reg8 *) POWER2_ENA0V95__INTSTAT)
    #define POWER2_ENA0V95_SNAP               (* (reg8 *) POWER2_ENA0V95__SNAP)
    
	#define POWER2_ENA0V95_0_INTTYPE_REG 		(* (reg8 *) POWER2_ENA0V95__0__INTTYPE)
#endif /* (POWER2_ENA0V95__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_POWER2_ENA0V95_H */


/* [] END OF FILE */
