/*******************************************************************************
* File Name: POWER3_GOOD1V8.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_POWER3_GOOD1V8_H) /* Pins POWER3_GOOD1V8_H */
#define CY_PINS_POWER3_GOOD1V8_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "POWER3_GOOD1V8_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 POWER3_GOOD1V8__PORT == 15 && ((POWER3_GOOD1V8__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    POWER3_GOOD1V8_Write(uint8 value);
void    POWER3_GOOD1V8_SetDriveMode(uint8 mode);
uint8   POWER3_GOOD1V8_ReadDataReg(void);
uint8   POWER3_GOOD1V8_Read(void);
void    POWER3_GOOD1V8_SetInterruptMode(uint16 position, uint16 mode);
uint8   POWER3_GOOD1V8_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the POWER3_GOOD1V8_SetDriveMode() function.
     *  @{
     */
        #define POWER3_GOOD1V8_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define POWER3_GOOD1V8_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define POWER3_GOOD1V8_DM_RES_UP          PIN_DM_RES_UP
        #define POWER3_GOOD1V8_DM_RES_DWN         PIN_DM_RES_DWN
        #define POWER3_GOOD1V8_DM_OD_LO           PIN_DM_OD_LO
        #define POWER3_GOOD1V8_DM_OD_HI           PIN_DM_OD_HI
        #define POWER3_GOOD1V8_DM_STRONG          PIN_DM_STRONG
        #define POWER3_GOOD1V8_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define POWER3_GOOD1V8_MASK               POWER3_GOOD1V8__MASK
#define POWER3_GOOD1V8_SHIFT              POWER3_GOOD1V8__SHIFT
#define POWER3_GOOD1V8_WIDTH              1u

/* Interrupt constants */
#if defined(POWER3_GOOD1V8__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in POWER3_GOOD1V8_SetInterruptMode() function.
     *  @{
     */
        #define POWER3_GOOD1V8_INTR_NONE      (uint16)(0x0000u)
        #define POWER3_GOOD1V8_INTR_RISING    (uint16)(0x0001u)
        #define POWER3_GOOD1V8_INTR_FALLING   (uint16)(0x0002u)
        #define POWER3_GOOD1V8_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define POWER3_GOOD1V8_INTR_MASK      (0x01u) 
#endif /* (POWER3_GOOD1V8__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define POWER3_GOOD1V8_PS                     (* (reg8 *) POWER3_GOOD1V8__PS)
/* Data Register */
#define POWER3_GOOD1V8_DR                     (* (reg8 *) POWER3_GOOD1V8__DR)
/* Port Number */
#define POWER3_GOOD1V8_PRT_NUM                (* (reg8 *) POWER3_GOOD1V8__PRT) 
/* Connect to Analog Globals */                                                  
#define POWER3_GOOD1V8_AG                     (* (reg8 *) POWER3_GOOD1V8__AG)                       
/* Analog MUX bux enable */
#define POWER3_GOOD1V8_AMUX                   (* (reg8 *) POWER3_GOOD1V8__AMUX) 
/* Bidirectional Enable */                                                        
#define POWER3_GOOD1V8_BIE                    (* (reg8 *) POWER3_GOOD1V8__BIE)
/* Bit-mask for Aliased Register Access */
#define POWER3_GOOD1V8_BIT_MASK               (* (reg8 *) POWER3_GOOD1V8__BIT_MASK)
/* Bypass Enable */
#define POWER3_GOOD1V8_BYP                    (* (reg8 *) POWER3_GOOD1V8__BYP)
/* Port wide control signals */                                                   
#define POWER3_GOOD1V8_CTL                    (* (reg8 *) POWER3_GOOD1V8__CTL)
/* Drive Modes */
#define POWER3_GOOD1V8_DM0                    (* (reg8 *) POWER3_GOOD1V8__DM0) 
#define POWER3_GOOD1V8_DM1                    (* (reg8 *) POWER3_GOOD1V8__DM1)
#define POWER3_GOOD1V8_DM2                    (* (reg8 *) POWER3_GOOD1V8__DM2) 
/* Input Buffer Disable Override */
#define POWER3_GOOD1V8_INP_DIS                (* (reg8 *) POWER3_GOOD1V8__INP_DIS)
/* LCD Common or Segment Drive */
#define POWER3_GOOD1V8_LCD_COM_SEG            (* (reg8 *) POWER3_GOOD1V8__LCD_COM_SEG)
/* Enable Segment LCD */
#define POWER3_GOOD1V8_LCD_EN                 (* (reg8 *) POWER3_GOOD1V8__LCD_EN)
/* Slew Rate Control */
#define POWER3_GOOD1V8_SLW                    (* (reg8 *) POWER3_GOOD1V8__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define POWER3_GOOD1V8_PRTDSI__CAPS_SEL       (* (reg8 *) POWER3_GOOD1V8__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define POWER3_GOOD1V8_PRTDSI__DBL_SYNC_IN    (* (reg8 *) POWER3_GOOD1V8__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define POWER3_GOOD1V8_PRTDSI__OE_SEL0        (* (reg8 *) POWER3_GOOD1V8__PRTDSI__OE_SEL0) 
#define POWER3_GOOD1V8_PRTDSI__OE_SEL1        (* (reg8 *) POWER3_GOOD1V8__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define POWER3_GOOD1V8_PRTDSI__OUT_SEL0       (* (reg8 *) POWER3_GOOD1V8__PRTDSI__OUT_SEL0) 
#define POWER3_GOOD1V8_PRTDSI__OUT_SEL1       (* (reg8 *) POWER3_GOOD1V8__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define POWER3_GOOD1V8_PRTDSI__SYNC_OUT       (* (reg8 *) POWER3_GOOD1V8__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(POWER3_GOOD1V8__SIO_CFG)
    #define POWER3_GOOD1V8_SIO_HYST_EN        (* (reg8 *) POWER3_GOOD1V8__SIO_HYST_EN)
    #define POWER3_GOOD1V8_SIO_REG_HIFREQ     (* (reg8 *) POWER3_GOOD1V8__SIO_REG_HIFREQ)
    #define POWER3_GOOD1V8_SIO_CFG            (* (reg8 *) POWER3_GOOD1V8__SIO_CFG)
    #define POWER3_GOOD1V8_SIO_DIFF           (* (reg8 *) POWER3_GOOD1V8__SIO_DIFF)
#endif /* (POWER3_GOOD1V8__SIO_CFG) */

/* Interrupt Registers */
#if defined(POWER3_GOOD1V8__INTSTAT)
    #define POWER3_GOOD1V8_INTSTAT            (* (reg8 *) POWER3_GOOD1V8__INTSTAT)
    #define POWER3_GOOD1V8_SNAP               (* (reg8 *) POWER3_GOOD1V8__SNAP)
    
	#define POWER3_GOOD1V8_0_INTTYPE_REG 		(* (reg8 *) POWER3_GOOD1V8__0__INTTYPE)
#endif /* (POWER3_GOOD1V8__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_POWER3_GOOD1V8_H */


/* [] END OF FILE */
