/*******************************************************************************
* File Name: POWER4_GOOD1V35.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_POWER4_GOOD1V35_H) /* Pins POWER4_GOOD1V35_H */
#define CY_PINS_POWER4_GOOD1V35_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "POWER4_GOOD1V35_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 POWER4_GOOD1V35__PORT == 15 && ((POWER4_GOOD1V35__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    POWER4_GOOD1V35_Write(uint8 value);
void    POWER4_GOOD1V35_SetDriveMode(uint8 mode);
uint8   POWER4_GOOD1V35_ReadDataReg(void);
uint8   POWER4_GOOD1V35_Read(void);
void    POWER4_GOOD1V35_SetInterruptMode(uint16 position, uint16 mode);
uint8   POWER4_GOOD1V35_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the POWER4_GOOD1V35_SetDriveMode() function.
     *  @{
     */
        #define POWER4_GOOD1V35_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define POWER4_GOOD1V35_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define POWER4_GOOD1V35_DM_RES_UP          PIN_DM_RES_UP
        #define POWER4_GOOD1V35_DM_RES_DWN         PIN_DM_RES_DWN
        #define POWER4_GOOD1V35_DM_OD_LO           PIN_DM_OD_LO
        #define POWER4_GOOD1V35_DM_OD_HI           PIN_DM_OD_HI
        #define POWER4_GOOD1V35_DM_STRONG          PIN_DM_STRONG
        #define POWER4_GOOD1V35_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define POWER4_GOOD1V35_MASK               POWER4_GOOD1V35__MASK
#define POWER4_GOOD1V35_SHIFT              POWER4_GOOD1V35__SHIFT
#define POWER4_GOOD1V35_WIDTH              1u

/* Interrupt constants */
#if defined(POWER4_GOOD1V35__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in POWER4_GOOD1V35_SetInterruptMode() function.
     *  @{
     */
        #define POWER4_GOOD1V35_INTR_NONE      (uint16)(0x0000u)
        #define POWER4_GOOD1V35_INTR_RISING    (uint16)(0x0001u)
        #define POWER4_GOOD1V35_INTR_FALLING   (uint16)(0x0002u)
        #define POWER4_GOOD1V35_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define POWER4_GOOD1V35_INTR_MASK      (0x01u) 
#endif /* (POWER4_GOOD1V35__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define POWER4_GOOD1V35_PS                     (* (reg8 *) POWER4_GOOD1V35__PS)
/* Data Register */
#define POWER4_GOOD1V35_DR                     (* (reg8 *) POWER4_GOOD1V35__DR)
/* Port Number */
#define POWER4_GOOD1V35_PRT_NUM                (* (reg8 *) POWER4_GOOD1V35__PRT) 
/* Connect to Analog Globals */                                                  
#define POWER4_GOOD1V35_AG                     (* (reg8 *) POWER4_GOOD1V35__AG)                       
/* Analog MUX bux enable */
#define POWER4_GOOD1V35_AMUX                   (* (reg8 *) POWER4_GOOD1V35__AMUX) 
/* Bidirectional Enable */                                                        
#define POWER4_GOOD1V35_BIE                    (* (reg8 *) POWER4_GOOD1V35__BIE)
/* Bit-mask for Aliased Register Access */
#define POWER4_GOOD1V35_BIT_MASK               (* (reg8 *) POWER4_GOOD1V35__BIT_MASK)
/* Bypass Enable */
#define POWER4_GOOD1V35_BYP                    (* (reg8 *) POWER4_GOOD1V35__BYP)
/* Port wide control signals */                                                   
#define POWER4_GOOD1V35_CTL                    (* (reg8 *) POWER4_GOOD1V35__CTL)
/* Drive Modes */
#define POWER4_GOOD1V35_DM0                    (* (reg8 *) POWER4_GOOD1V35__DM0) 
#define POWER4_GOOD1V35_DM1                    (* (reg8 *) POWER4_GOOD1V35__DM1)
#define POWER4_GOOD1V35_DM2                    (* (reg8 *) POWER4_GOOD1V35__DM2) 
/* Input Buffer Disable Override */
#define POWER4_GOOD1V35_INP_DIS                (* (reg8 *) POWER4_GOOD1V35__INP_DIS)
/* LCD Common or Segment Drive */
#define POWER4_GOOD1V35_LCD_COM_SEG            (* (reg8 *) POWER4_GOOD1V35__LCD_COM_SEG)
/* Enable Segment LCD */
#define POWER4_GOOD1V35_LCD_EN                 (* (reg8 *) POWER4_GOOD1V35__LCD_EN)
/* Slew Rate Control */
#define POWER4_GOOD1V35_SLW                    (* (reg8 *) POWER4_GOOD1V35__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define POWER4_GOOD1V35_PRTDSI__CAPS_SEL       (* (reg8 *) POWER4_GOOD1V35__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define POWER4_GOOD1V35_PRTDSI__DBL_SYNC_IN    (* (reg8 *) POWER4_GOOD1V35__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define POWER4_GOOD1V35_PRTDSI__OE_SEL0        (* (reg8 *) POWER4_GOOD1V35__PRTDSI__OE_SEL0) 
#define POWER4_GOOD1V35_PRTDSI__OE_SEL1        (* (reg8 *) POWER4_GOOD1V35__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define POWER4_GOOD1V35_PRTDSI__OUT_SEL0       (* (reg8 *) POWER4_GOOD1V35__PRTDSI__OUT_SEL0) 
#define POWER4_GOOD1V35_PRTDSI__OUT_SEL1       (* (reg8 *) POWER4_GOOD1V35__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define POWER4_GOOD1V35_PRTDSI__SYNC_OUT       (* (reg8 *) POWER4_GOOD1V35__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(POWER4_GOOD1V35__SIO_CFG)
    #define POWER4_GOOD1V35_SIO_HYST_EN        (* (reg8 *) POWER4_GOOD1V35__SIO_HYST_EN)
    #define POWER4_GOOD1V35_SIO_REG_HIFREQ     (* (reg8 *) POWER4_GOOD1V35__SIO_REG_HIFREQ)
    #define POWER4_GOOD1V35_SIO_CFG            (* (reg8 *) POWER4_GOOD1V35__SIO_CFG)
    #define POWER4_GOOD1V35_SIO_DIFF           (* (reg8 *) POWER4_GOOD1V35__SIO_DIFF)
#endif /* (POWER4_GOOD1V35__SIO_CFG) */

/* Interrupt Registers */
#if defined(POWER4_GOOD1V35__INTSTAT)
    #define POWER4_GOOD1V35_INTSTAT            (* (reg8 *) POWER4_GOOD1V35__INTSTAT)
    #define POWER4_GOOD1V35_SNAP               (* (reg8 *) POWER4_GOOD1V35__SNAP)
    
	#define POWER4_GOOD1V35_0_INTTYPE_REG 		(* (reg8 *) POWER4_GOOD1V35__0__INTTYPE)
#endif /* (POWER4_GOOD1V35__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_POWER4_GOOD1V35_H */


/* [] END OF FILE */
