/*******************************************************************************
* File Name: POWER5_GOOD0V85.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_POWER5_GOOD0V85_H) /* Pins POWER5_GOOD0V85_H */
#define CY_PINS_POWER5_GOOD0V85_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "POWER5_GOOD0V85_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 POWER5_GOOD0V85__PORT == 15 && ((POWER5_GOOD0V85__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    POWER5_GOOD0V85_Write(uint8 value);
void    POWER5_GOOD0V85_SetDriveMode(uint8 mode);
uint8   POWER5_GOOD0V85_ReadDataReg(void);
uint8   POWER5_GOOD0V85_Read(void);
void    POWER5_GOOD0V85_SetInterruptMode(uint16 position, uint16 mode);
uint8   POWER5_GOOD0V85_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the POWER5_GOOD0V85_SetDriveMode() function.
     *  @{
     */
        #define POWER5_GOOD0V85_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define POWER5_GOOD0V85_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define POWER5_GOOD0V85_DM_RES_UP          PIN_DM_RES_UP
        #define POWER5_GOOD0V85_DM_RES_DWN         PIN_DM_RES_DWN
        #define POWER5_GOOD0V85_DM_OD_LO           PIN_DM_OD_LO
        #define POWER5_GOOD0V85_DM_OD_HI           PIN_DM_OD_HI
        #define POWER5_GOOD0V85_DM_STRONG          PIN_DM_STRONG
        #define POWER5_GOOD0V85_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define POWER5_GOOD0V85_MASK               POWER5_GOOD0V85__MASK
#define POWER5_GOOD0V85_SHIFT              POWER5_GOOD0V85__SHIFT
#define POWER5_GOOD0V85_WIDTH              1u

/* Interrupt constants */
#if defined(POWER5_GOOD0V85__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in POWER5_GOOD0V85_SetInterruptMode() function.
     *  @{
     */
        #define POWER5_GOOD0V85_INTR_NONE      (uint16)(0x0000u)
        #define POWER5_GOOD0V85_INTR_RISING    (uint16)(0x0001u)
        #define POWER5_GOOD0V85_INTR_FALLING   (uint16)(0x0002u)
        #define POWER5_GOOD0V85_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define POWER5_GOOD0V85_INTR_MASK      (0x01u) 
#endif /* (POWER5_GOOD0V85__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define POWER5_GOOD0V85_PS                     (* (reg8 *) POWER5_GOOD0V85__PS)
/* Data Register */
#define POWER5_GOOD0V85_DR                     (* (reg8 *) POWER5_GOOD0V85__DR)
/* Port Number */
#define POWER5_GOOD0V85_PRT_NUM                (* (reg8 *) POWER5_GOOD0V85__PRT) 
/* Connect to Analog Globals */                                                  
#define POWER5_GOOD0V85_AG                     (* (reg8 *) POWER5_GOOD0V85__AG)                       
/* Analog MUX bux enable */
#define POWER5_GOOD0V85_AMUX                   (* (reg8 *) POWER5_GOOD0V85__AMUX) 
/* Bidirectional Enable */                                                        
#define POWER5_GOOD0V85_BIE                    (* (reg8 *) POWER5_GOOD0V85__BIE)
/* Bit-mask for Aliased Register Access */
#define POWER5_GOOD0V85_BIT_MASK               (* (reg8 *) POWER5_GOOD0V85__BIT_MASK)
/* Bypass Enable */
#define POWER5_GOOD0V85_BYP                    (* (reg8 *) POWER5_GOOD0V85__BYP)
/* Port wide control signals */                                                   
#define POWER5_GOOD0V85_CTL                    (* (reg8 *) POWER5_GOOD0V85__CTL)
/* Drive Modes */
#define POWER5_GOOD0V85_DM0                    (* (reg8 *) POWER5_GOOD0V85__DM0) 
#define POWER5_GOOD0V85_DM1                    (* (reg8 *) POWER5_GOOD0V85__DM1)
#define POWER5_GOOD0V85_DM2                    (* (reg8 *) POWER5_GOOD0V85__DM2) 
/* Input Buffer Disable Override */
#define POWER5_GOOD0V85_INP_DIS                (* (reg8 *) POWER5_GOOD0V85__INP_DIS)
/* LCD Common or Segment Drive */
#define POWER5_GOOD0V85_LCD_COM_SEG            (* (reg8 *) POWER5_GOOD0V85__LCD_COM_SEG)
/* Enable Segment LCD */
#define POWER5_GOOD0V85_LCD_EN                 (* (reg8 *) POWER5_GOOD0V85__LCD_EN)
/* Slew Rate Control */
#define POWER5_GOOD0V85_SLW                    (* (reg8 *) POWER5_GOOD0V85__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define POWER5_GOOD0V85_PRTDSI__CAPS_SEL       (* (reg8 *) POWER5_GOOD0V85__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define POWER5_GOOD0V85_PRTDSI__DBL_SYNC_IN    (* (reg8 *) POWER5_GOOD0V85__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define POWER5_GOOD0V85_PRTDSI__OE_SEL0        (* (reg8 *) POWER5_GOOD0V85__PRTDSI__OE_SEL0) 
#define POWER5_GOOD0V85_PRTDSI__OE_SEL1        (* (reg8 *) POWER5_GOOD0V85__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define POWER5_GOOD0V85_PRTDSI__OUT_SEL0       (* (reg8 *) POWER5_GOOD0V85__PRTDSI__OUT_SEL0) 
#define POWER5_GOOD0V85_PRTDSI__OUT_SEL1       (* (reg8 *) POWER5_GOOD0V85__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define POWER5_GOOD0V85_PRTDSI__SYNC_OUT       (* (reg8 *) POWER5_GOOD0V85__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(POWER5_GOOD0V85__SIO_CFG)
    #define POWER5_GOOD0V85_SIO_HYST_EN        (* (reg8 *) POWER5_GOOD0V85__SIO_HYST_EN)
    #define POWER5_GOOD0V85_SIO_REG_HIFREQ     (* (reg8 *) POWER5_GOOD0V85__SIO_REG_HIFREQ)
    #define POWER5_GOOD0V85_SIO_CFG            (* (reg8 *) POWER5_GOOD0V85__SIO_CFG)
    #define POWER5_GOOD0V85_SIO_DIFF           (* (reg8 *) POWER5_GOOD0V85__SIO_DIFF)
#endif /* (POWER5_GOOD0V85__SIO_CFG) */

/* Interrupt Registers */
#if defined(POWER5_GOOD0V85__INTSTAT)
    #define POWER5_GOOD0V85_INTSTAT            (* (reg8 *) POWER5_GOOD0V85__INTSTAT)
    #define POWER5_GOOD0V85_SNAP               (* (reg8 *) POWER5_GOOD0V85__SNAP)
    
	#define POWER5_GOOD0V85_0_INTTYPE_REG 		(* (reg8 *) POWER5_GOOD0V85__0__INTTYPE)
#endif /* (POWER5_GOOD0V85__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_POWER5_GOOD0V85_H */


/* [] END OF FILE */
