/*******************************************************************************
* File Name: SPI0_DIN.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SPI0_DIN_H) /* Pins SPI0_DIN_H */
#define CY_PINS_SPI0_DIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SPI0_DIN_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SPI0_DIN__PORT == 15 && ((SPI0_DIN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SPI0_DIN_Write(uint8 value);
void    SPI0_DIN_SetDriveMode(uint8 mode);
uint8   SPI0_DIN_ReadDataReg(void);
uint8   SPI0_DIN_Read(void);
void    SPI0_DIN_SetInterruptMode(uint16 position, uint16 mode);
uint8   SPI0_DIN_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SPI0_DIN_SetDriveMode() function.
     *  @{
     */
        #define SPI0_DIN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SPI0_DIN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SPI0_DIN_DM_RES_UP          PIN_DM_RES_UP
        #define SPI0_DIN_DM_RES_DWN         PIN_DM_RES_DWN
        #define SPI0_DIN_DM_OD_LO           PIN_DM_OD_LO
        #define SPI0_DIN_DM_OD_HI           PIN_DM_OD_HI
        #define SPI0_DIN_DM_STRONG          PIN_DM_STRONG
        #define SPI0_DIN_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SPI0_DIN_MASK               SPI0_DIN__MASK
#define SPI0_DIN_SHIFT              SPI0_DIN__SHIFT
#define SPI0_DIN_WIDTH              1u

/* Interrupt constants */
#if defined(SPI0_DIN__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SPI0_DIN_SetInterruptMode() function.
     *  @{
     */
        #define SPI0_DIN_INTR_NONE      (uint16)(0x0000u)
        #define SPI0_DIN_INTR_RISING    (uint16)(0x0001u)
        #define SPI0_DIN_INTR_FALLING   (uint16)(0x0002u)
        #define SPI0_DIN_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SPI0_DIN_INTR_MASK      (0x01u) 
#endif /* (SPI0_DIN__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SPI0_DIN_PS                     (* (reg8 *) SPI0_DIN__PS)
/* Data Register */
#define SPI0_DIN_DR                     (* (reg8 *) SPI0_DIN__DR)
/* Port Number */
#define SPI0_DIN_PRT_NUM                (* (reg8 *) SPI0_DIN__PRT) 
/* Connect to Analog Globals */                                                  
#define SPI0_DIN_AG                     (* (reg8 *) SPI0_DIN__AG)                       
/* Analog MUX bux enable */
#define SPI0_DIN_AMUX                   (* (reg8 *) SPI0_DIN__AMUX) 
/* Bidirectional Enable */                                                        
#define SPI0_DIN_BIE                    (* (reg8 *) SPI0_DIN__BIE)
/* Bit-mask for Aliased Register Access */
#define SPI0_DIN_BIT_MASK               (* (reg8 *) SPI0_DIN__BIT_MASK)
/* Bypass Enable */
#define SPI0_DIN_BYP                    (* (reg8 *) SPI0_DIN__BYP)
/* Port wide control signals */                                                   
#define SPI0_DIN_CTL                    (* (reg8 *) SPI0_DIN__CTL)
/* Drive Modes */
#define SPI0_DIN_DM0                    (* (reg8 *) SPI0_DIN__DM0) 
#define SPI0_DIN_DM1                    (* (reg8 *) SPI0_DIN__DM1)
#define SPI0_DIN_DM2                    (* (reg8 *) SPI0_DIN__DM2) 
/* Input Buffer Disable Override */
#define SPI0_DIN_INP_DIS                (* (reg8 *) SPI0_DIN__INP_DIS)
/* LCD Common or Segment Drive */
#define SPI0_DIN_LCD_COM_SEG            (* (reg8 *) SPI0_DIN__LCD_COM_SEG)
/* Enable Segment LCD */
#define SPI0_DIN_LCD_EN                 (* (reg8 *) SPI0_DIN__LCD_EN)
/* Slew Rate Control */
#define SPI0_DIN_SLW                    (* (reg8 *) SPI0_DIN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SPI0_DIN_PRTDSI__CAPS_SEL       (* (reg8 *) SPI0_DIN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SPI0_DIN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SPI0_DIN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SPI0_DIN_PRTDSI__OE_SEL0        (* (reg8 *) SPI0_DIN__PRTDSI__OE_SEL0) 
#define SPI0_DIN_PRTDSI__OE_SEL1        (* (reg8 *) SPI0_DIN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SPI0_DIN_PRTDSI__OUT_SEL0       (* (reg8 *) SPI0_DIN__PRTDSI__OUT_SEL0) 
#define SPI0_DIN_PRTDSI__OUT_SEL1       (* (reg8 *) SPI0_DIN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SPI0_DIN_PRTDSI__SYNC_OUT       (* (reg8 *) SPI0_DIN__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SPI0_DIN__SIO_CFG)
    #define SPI0_DIN_SIO_HYST_EN        (* (reg8 *) SPI0_DIN__SIO_HYST_EN)
    #define SPI0_DIN_SIO_REG_HIFREQ     (* (reg8 *) SPI0_DIN__SIO_REG_HIFREQ)
    #define SPI0_DIN_SIO_CFG            (* (reg8 *) SPI0_DIN__SIO_CFG)
    #define SPI0_DIN_SIO_DIFF           (* (reg8 *) SPI0_DIN__SIO_DIFF)
#endif /* (SPI0_DIN__SIO_CFG) */

/* Interrupt Registers */
#if defined(SPI0_DIN__INTSTAT)
    #define SPI0_DIN_INTSTAT            (* (reg8 *) SPI0_DIN__INTSTAT)
    #define SPI0_DIN_SNAP               (* (reg8 *) SPI0_DIN__SNAP)
    
	#define SPI0_DIN_0_INTTYPE_REG 		(* (reg8 *) SPI0_DIN__0__INTTYPE)
#endif /* (SPI0_DIN__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SPI0_DIN_H */


/* [] END OF FILE */
