/*******************************************************************************
* File Name: SPI0_DOUT.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SPI0_DOUT_H) /* Pins SPI0_DOUT_H */
#define CY_PINS_SPI0_DOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SPI0_DOUT_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SPI0_DOUT__PORT == 15 && ((SPI0_DOUT__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SPI0_DOUT_Write(uint8 value);
void    SPI0_DOUT_SetDriveMode(uint8 mode);
uint8   SPI0_DOUT_ReadDataReg(void);
uint8   SPI0_DOUT_Read(void);
void    SPI0_DOUT_SetInterruptMode(uint16 position, uint16 mode);
uint8   SPI0_DOUT_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SPI0_DOUT_SetDriveMode() function.
     *  @{
     */
        #define SPI0_DOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SPI0_DOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SPI0_DOUT_DM_RES_UP          PIN_DM_RES_UP
        #define SPI0_DOUT_DM_RES_DWN         PIN_DM_RES_DWN
        #define SPI0_DOUT_DM_OD_LO           PIN_DM_OD_LO
        #define SPI0_DOUT_DM_OD_HI           PIN_DM_OD_HI
        #define SPI0_DOUT_DM_STRONG          PIN_DM_STRONG
        #define SPI0_DOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SPI0_DOUT_MASK               SPI0_DOUT__MASK
#define SPI0_DOUT_SHIFT              SPI0_DOUT__SHIFT
#define SPI0_DOUT_WIDTH              1u

/* Interrupt constants */
#if defined(SPI0_DOUT__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SPI0_DOUT_SetInterruptMode() function.
     *  @{
     */
        #define SPI0_DOUT_INTR_NONE      (uint16)(0x0000u)
        #define SPI0_DOUT_INTR_RISING    (uint16)(0x0001u)
        #define SPI0_DOUT_INTR_FALLING   (uint16)(0x0002u)
        #define SPI0_DOUT_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SPI0_DOUT_INTR_MASK      (0x01u) 
#endif /* (SPI0_DOUT__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SPI0_DOUT_PS                     (* (reg8 *) SPI0_DOUT__PS)
/* Data Register */
#define SPI0_DOUT_DR                     (* (reg8 *) SPI0_DOUT__DR)
/* Port Number */
#define SPI0_DOUT_PRT_NUM                (* (reg8 *) SPI0_DOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define SPI0_DOUT_AG                     (* (reg8 *) SPI0_DOUT__AG)                       
/* Analog MUX bux enable */
#define SPI0_DOUT_AMUX                   (* (reg8 *) SPI0_DOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define SPI0_DOUT_BIE                    (* (reg8 *) SPI0_DOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define SPI0_DOUT_BIT_MASK               (* (reg8 *) SPI0_DOUT__BIT_MASK)
/* Bypass Enable */
#define SPI0_DOUT_BYP                    (* (reg8 *) SPI0_DOUT__BYP)
/* Port wide control signals */                                                   
#define SPI0_DOUT_CTL                    (* (reg8 *) SPI0_DOUT__CTL)
/* Drive Modes */
#define SPI0_DOUT_DM0                    (* (reg8 *) SPI0_DOUT__DM0) 
#define SPI0_DOUT_DM1                    (* (reg8 *) SPI0_DOUT__DM1)
#define SPI0_DOUT_DM2                    (* (reg8 *) SPI0_DOUT__DM2) 
/* Input Buffer Disable Override */
#define SPI0_DOUT_INP_DIS                (* (reg8 *) SPI0_DOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define SPI0_DOUT_LCD_COM_SEG            (* (reg8 *) SPI0_DOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define SPI0_DOUT_LCD_EN                 (* (reg8 *) SPI0_DOUT__LCD_EN)
/* Slew Rate Control */
#define SPI0_DOUT_SLW                    (* (reg8 *) SPI0_DOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SPI0_DOUT_PRTDSI__CAPS_SEL       (* (reg8 *) SPI0_DOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SPI0_DOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SPI0_DOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SPI0_DOUT_PRTDSI__OE_SEL0        (* (reg8 *) SPI0_DOUT__PRTDSI__OE_SEL0) 
#define SPI0_DOUT_PRTDSI__OE_SEL1        (* (reg8 *) SPI0_DOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SPI0_DOUT_PRTDSI__OUT_SEL0       (* (reg8 *) SPI0_DOUT__PRTDSI__OUT_SEL0) 
#define SPI0_DOUT_PRTDSI__OUT_SEL1       (* (reg8 *) SPI0_DOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SPI0_DOUT_PRTDSI__SYNC_OUT       (* (reg8 *) SPI0_DOUT__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SPI0_DOUT__SIO_CFG)
    #define SPI0_DOUT_SIO_HYST_EN        (* (reg8 *) SPI0_DOUT__SIO_HYST_EN)
    #define SPI0_DOUT_SIO_REG_HIFREQ     (* (reg8 *) SPI0_DOUT__SIO_REG_HIFREQ)
    #define SPI0_DOUT_SIO_CFG            (* (reg8 *) SPI0_DOUT__SIO_CFG)
    #define SPI0_DOUT_SIO_DIFF           (* (reg8 *) SPI0_DOUT__SIO_DIFF)
#endif /* (SPI0_DOUT__SIO_CFG) */

/* Interrupt Registers */
#if defined(SPI0_DOUT__INTSTAT)
    #define SPI0_DOUT_INTSTAT            (* (reg8 *) SPI0_DOUT__INTSTAT)
    #define SPI0_DOUT_SNAP               (* (reg8 *) SPI0_DOUT__SNAP)
    
	#define SPI0_DOUT_0_INTTYPE_REG 		(* (reg8 *) SPI0_DOUT__0__INTTYPE)
#endif /* (SPI0_DOUT__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SPI0_DOUT_H */


/* [] END OF FILE */
