/*******************************************************************************
* File Name: .h
* Version 2.70
*
* Description:
*  This private header file contains internal definitions for the SPIS
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2013-2015, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIS_PVT_SPIS_DSP_H)
#define CY_SPIS_PVT_SPIS_DSP_H

#include "SPIS_DSP.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/
extern volatile uint8 SPIS_DSP_swStatusTx;
extern volatile uint8 SPIS_DSP_swStatusRx;

#if (SPIS_DSP_RX_SOFTWARE_BUF_ENABLED)

    extern volatile uint16 SPIS_DSP_rxBuffer[SPIS_DSP_RX_BUFFER_SIZE];
    extern volatile uint8 SPIS_DSP_rxBufferRead;
    extern volatile uint8 SPIS_DSP_rxBufferWrite;
    extern volatile uint8 SPIS_DSP_rxBufferFull;

#endif /* SPIS_DSP_RX_SOFTWARE_BUF_ENABLED */

#if (SPIS_DSP_TX_SOFTWARE_BUF_ENABLED)

    extern volatile uint16 SPIS_DSP_txBuffer[SPIS_DSP_TX_BUFFER_SIZE];
    extern volatile uint8 SPIS_DSP_txBufferRead;
    extern volatile uint8 SPIS_DSP_txBufferWrite;
    extern volatile uint8 SPIS_DSP_txBufferFull;

#endif /* SPIS_DSP_TX_SOFTWARE_BUF_ENABLED */

#endif /* CY_SPIS_PVT_SPIS_DSP_H */


/* [] END OF FILE */
