/*******************************************************************************
* File Name: TEMP_SMDATA.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TEMP_SMDATA_H) /* Pins TEMP_SMDATA_H */
#define CY_PINS_TEMP_SMDATA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TEMP_SMDATA_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TEMP_SMDATA__PORT == 15 && ((TEMP_SMDATA__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    TEMP_SMDATA_Write(uint8 value);
void    TEMP_SMDATA_SetDriveMode(uint8 mode);
uint8   TEMP_SMDATA_ReadDataReg(void);
uint8   TEMP_SMDATA_Read(void);
void    TEMP_SMDATA_SetInterruptMode(uint16 position, uint16 mode);
uint8   TEMP_SMDATA_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the TEMP_SMDATA_SetDriveMode() function.
     *  @{
     */
        #define TEMP_SMDATA_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define TEMP_SMDATA_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define TEMP_SMDATA_DM_RES_UP          PIN_DM_RES_UP
        #define TEMP_SMDATA_DM_RES_DWN         PIN_DM_RES_DWN
        #define TEMP_SMDATA_DM_OD_LO           PIN_DM_OD_LO
        #define TEMP_SMDATA_DM_OD_HI           PIN_DM_OD_HI
        #define TEMP_SMDATA_DM_STRONG          PIN_DM_STRONG
        #define TEMP_SMDATA_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define TEMP_SMDATA_MASK               TEMP_SMDATA__MASK
#define TEMP_SMDATA_SHIFT              TEMP_SMDATA__SHIFT
#define TEMP_SMDATA_WIDTH              1u

/* Interrupt constants */
#if defined(TEMP_SMDATA__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in TEMP_SMDATA_SetInterruptMode() function.
     *  @{
     */
        #define TEMP_SMDATA_INTR_NONE      (uint16)(0x0000u)
        #define TEMP_SMDATA_INTR_RISING    (uint16)(0x0001u)
        #define TEMP_SMDATA_INTR_FALLING   (uint16)(0x0002u)
        #define TEMP_SMDATA_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define TEMP_SMDATA_INTR_MASK      (0x01u) 
#endif /* (TEMP_SMDATA__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TEMP_SMDATA_PS                     (* (reg8 *) TEMP_SMDATA__PS)
/* Data Register */
#define TEMP_SMDATA_DR                     (* (reg8 *) TEMP_SMDATA__DR)
/* Port Number */
#define TEMP_SMDATA_PRT_NUM                (* (reg8 *) TEMP_SMDATA__PRT) 
/* Connect to Analog Globals */                                                  
#define TEMP_SMDATA_AG                     (* (reg8 *) TEMP_SMDATA__AG)                       
/* Analog MUX bux enable */
#define TEMP_SMDATA_AMUX                   (* (reg8 *) TEMP_SMDATA__AMUX) 
/* Bidirectional Enable */                                                        
#define TEMP_SMDATA_BIE                    (* (reg8 *) TEMP_SMDATA__BIE)
/* Bit-mask for Aliased Register Access */
#define TEMP_SMDATA_BIT_MASK               (* (reg8 *) TEMP_SMDATA__BIT_MASK)
/* Bypass Enable */
#define TEMP_SMDATA_BYP                    (* (reg8 *) TEMP_SMDATA__BYP)
/* Port wide control signals */                                                   
#define TEMP_SMDATA_CTL                    (* (reg8 *) TEMP_SMDATA__CTL)
/* Drive Modes */
#define TEMP_SMDATA_DM0                    (* (reg8 *) TEMP_SMDATA__DM0) 
#define TEMP_SMDATA_DM1                    (* (reg8 *) TEMP_SMDATA__DM1)
#define TEMP_SMDATA_DM2                    (* (reg8 *) TEMP_SMDATA__DM2) 
/* Input Buffer Disable Override */
#define TEMP_SMDATA_INP_DIS                (* (reg8 *) TEMP_SMDATA__INP_DIS)
/* LCD Common or Segment Drive */
#define TEMP_SMDATA_LCD_COM_SEG            (* (reg8 *) TEMP_SMDATA__LCD_COM_SEG)
/* Enable Segment LCD */
#define TEMP_SMDATA_LCD_EN                 (* (reg8 *) TEMP_SMDATA__LCD_EN)
/* Slew Rate Control */
#define TEMP_SMDATA_SLW                    (* (reg8 *) TEMP_SMDATA__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TEMP_SMDATA_PRTDSI__CAPS_SEL       (* (reg8 *) TEMP_SMDATA__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TEMP_SMDATA_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TEMP_SMDATA__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TEMP_SMDATA_PRTDSI__OE_SEL0        (* (reg8 *) TEMP_SMDATA__PRTDSI__OE_SEL0) 
#define TEMP_SMDATA_PRTDSI__OE_SEL1        (* (reg8 *) TEMP_SMDATA__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TEMP_SMDATA_PRTDSI__OUT_SEL0       (* (reg8 *) TEMP_SMDATA__PRTDSI__OUT_SEL0) 
#define TEMP_SMDATA_PRTDSI__OUT_SEL1       (* (reg8 *) TEMP_SMDATA__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TEMP_SMDATA_PRTDSI__SYNC_OUT       (* (reg8 *) TEMP_SMDATA__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(TEMP_SMDATA__SIO_CFG)
    #define TEMP_SMDATA_SIO_HYST_EN        (* (reg8 *) TEMP_SMDATA__SIO_HYST_EN)
    #define TEMP_SMDATA_SIO_REG_HIFREQ     (* (reg8 *) TEMP_SMDATA__SIO_REG_HIFREQ)
    #define TEMP_SMDATA_SIO_CFG            (* (reg8 *) TEMP_SMDATA__SIO_CFG)
    #define TEMP_SMDATA_SIO_DIFF           (* (reg8 *) TEMP_SMDATA__SIO_DIFF)
#endif /* (TEMP_SMDATA__SIO_CFG) */

/* Interrupt Registers */
#if defined(TEMP_SMDATA__INTSTAT)
    #define TEMP_SMDATA_INTSTAT            (* (reg8 *) TEMP_SMDATA__INTSTAT)
    #define TEMP_SMDATA_SNAP               (* (reg8 *) TEMP_SMDATA__SNAP)
    
	#define TEMP_SMDATA_0_INTTYPE_REG 		(* (reg8 *) TEMP_SMDATA__0__INTTYPE)
#endif /* (TEMP_SMDATA__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TEMP_SMDATA_H */


/* [] END OF FILE */
