/*******************************************************************************
* File Name: TI_PACLKSEL.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TI_PACLKSEL_H) /* Pins TI_PACLKSEL_H */
#define CY_PINS_TI_PACLKSEL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TI_PACLKSEL_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TI_PACLKSEL__PORT == 15 && ((TI_PACLKSEL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    TI_PACLKSEL_Write(uint8 value);
void    TI_PACLKSEL_SetDriveMode(uint8 mode);
uint8   TI_PACLKSEL_ReadDataReg(void);
uint8   TI_PACLKSEL_Read(void);
void    TI_PACLKSEL_SetInterruptMode(uint16 position, uint16 mode);
uint8   TI_PACLKSEL_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the TI_PACLKSEL_SetDriveMode() function.
     *  @{
     */
        #define TI_PACLKSEL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define TI_PACLKSEL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define TI_PACLKSEL_DM_RES_UP          PIN_DM_RES_UP
        #define TI_PACLKSEL_DM_RES_DWN         PIN_DM_RES_DWN
        #define TI_PACLKSEL_DM_OD_LO           PIN_DM_OD_LO
        #define TI_PACLKSEL_DM_OD_HI           PIN_DM_OD_HI
        #define TI_PACLKSEL_DM_STRONG          PIN_DM_STRONG
        #define TI_PACLKSEL_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define TI_PACLKSEL_MASK               TI_PACLKSEL__MASK
#define TI_PACLKSEL_SHIFT              TI_PACLKSEL__SHIFT
#define TI_PACLKSEL_WIDTH              1u

/* Interrupt constants */
#if defined(TI_PACLKSEL__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in TI_PACLKSEL_SetInterruptMode() function.
     *  @{
     */
        #define TI_PACLKSEL_INTR_NONE      (uint16)(0x0000u)
        #define TI_PACLKSEL_INTR_RISING    (uint16)(0x0001u)
        #define TI_PACLKSEL_INTR_FALLING   (uint16)(0x0002u)
        #define TI_PACLKSEL_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define TI_PACLKSEL_INTR_MASK      (0x01u) 
#endif /* (TI_PACLKSEL__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TI_PACLKSEL_PS                     (* (reg8 *) TI_PACLKSEL__PS)
/* Data Register */
#define TI_PACLKSEL_DR                     (* (reg8 *) TI_PACLKSEL__DR)
/* Port Number */
#define TI_PACLKSEL_PRT_NUM                (* (reg8 *) TI_PACLKSEL__PRT) 
/* Connect to Analog Globals */                                                  
#define TI_PACLKSEL_AG                     (* (reg8 *) TI_PACLKSEL__AG)                       
/* Analog MUX bux enable */
#define TI_PACLKSEL_AMUX                   (* (reg8 *) TI_PACLKSEL__AMUX) 
/* Bidirectional Enable */                                                        
#define TI_PACLKSEL_BIE                    (* (reg8 *) TI_PACLKSEL__BIE)
/* Bit-mask for Aliased Register Access */
#define TI_PACLKSEL_BIT_MASK               (* (reg8 *) TI_PACLKSEL__BIT_MASK)
/* Bypass Enable */
#define TI_PACLKSEL_BYP                    (* (reg8 *) TI_PACLKSEL__BYP)
/* Port wide control signals */                                                   
#define TI_PACLKSEL_CTL                    (* (reg8 *) TI_PACLKSEL__CTL)
/* Drive Modes */
#define TI_PACLKSEL_DM0                    (* (reg8 *) TI_PACLKSEL__DM0) 
#define TI_PACLKSEL_DM1                    (* (reg8 *) TI_PACLKSEL__DM1)
#define TI_PACLKSEL_DM2                    (* (reg8 *) TI_PACLKSEL__DM2) 
/* Input Buffer Disable Override */
#define TI_PACLKSEL_INP_DIS                (* (reg8 *) TI_PACLKSEL__INP_DIS)
/* LCD Common or Segment Drive */
#define TI_PACLKSEL_LCD_COM_SEG            (* (reg8 *) TI_PACLKSEL__LCD_COM_SEG)
/* Enable Segment LCD */
#define TI_PACLKSEL_LCD_EN                 (* (reg8 *) TI_PACLKSEL__LCD_EN)
/* Slew Rate Control */
#define TI_PACLKSEL_SLW                    (* (reg8 *) TI_PACLKSEL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TI_PACLKSEL_PRTDSI__CAPS_SEL       (* (reg8 *) TI_PACLKSEL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TI_PACLKSEL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TI_PACLKSEL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TI_PACLKSEL_PRTDSI__OE_SEL0        (* (reg8 *) TI_PACLKSEL__PRTDSI__OE_SEL0) 
#define TI_PACLKSEL_PRTDSI__OE_SEL1        (* (reg8 *) TI_PACLKSEL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TI_PACLKSEL_PRTDSI__OUT_SEL0       (* (reg8 *) TI_PACLKSEL__PRTDSI__OUT_SEL0) 
#define TI_PACLKSEL_PRTDSI__OUT_SEL1       (* (reg8 *) TI_PACLKSEL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TI_PACLKSEL_PRTDSI__SYNC_OUT       (* (reg8 *) TI_PACLKSEL__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(TI_PACLKSEL__SIO_CFG)
    #define TI_PACLKSEL_SIO_HYST_EN        (* (reg8 *) TI_PACLKSEL__SIO_HYST_EN)
    #define TI_PACLKSEL_SIO_REG_HIFREQ     (* (reg8 *) TI_PACLKSEL__SIO_REG_HIFREQ)
    #define TI_PACLKSEL_SIO_CFG            (* (reg8 *) TI_PACLKSEL__SIO_CFG)
    #define TI_PACLKSEL_SIO_DIFF           (* (reg8 *) TI_PACLKSEL__SIO_DIFF)
#endif /* (TI_PACLKSEL__SIO_CFG) */

/* Interrupt Registers */
#if defined(TI_PACLKSEL__INTSTAT)
    #define TI_PACLKSEL_INTSTAT            (* (reg8 *) TI_PACLKSEL__INTSTAT)
    #define TI_PACLKSEL_SNAP               (* (reg8 *) TI_PACLKSEL__SNAP)
    
	#define TI_PACLKSEL_0_INTTYPE_REG 		(* (reg8 *) TI_PACLKSEL__0__INTTYPE)
#endif /* (TI_PACLKSEL__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TI_PACLKSEL_H */


/* [] END OF FILE */
