/*******************************************************************************
* File Name: TempMonSMBusSlave_Defaults.c
* Version 5.20
*
* Description:
*  This file contains a data structure for the default register store. The user
*  may enter default values for all the parameters. The generated comment
*  section contains a template.
*
*******************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
********************************************************************************/

#include "TempMonSMBusSlave.h"
#include "cyapicallbacks.h"

#if(0)

/*******************************************************************************
* Copy/Paste all the code between Start_Init and End_Init into cyapicallbacks.h
* or any header file included in cyapicallbacks.h to provide the default values
* for all the parameters.
*
* Start_Init
*******************************************************************************/

#define PMBus_DEFAULT_REGISTER_STORE = { \
    /* SMBUS_REGS_SIG (Do not change!) */ \
    0x000055AAu, \
    /* FLASH_CRC */ \
    0x0000u \
}

/*******************************************************************************
* End_Init
*******************************************************************************/

#endif /* (0) */
    
const TempMonSMBusSlave_REGS CYCODE TempMonSMBusSlave_regsDefault

/*`#START DEFAULT_REGISTER_STORE`*/

/*`#END`*/

#ifdef TempMonSMBusSlave_DEFAULT_REGISTER_STORE
    TempMonSMBusSlave_DEFAULT_REGISTER_STORE
#endif /* TempMonSMBusSlave_DEFAULT_REGISTER_STORE */

;


/* [] END OF FILE */
