/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "project.h"
#include "defines.h"



void init_SPIM_LEDDRIVER()
{
    int packetsize = 2;
    uint16 data = 0;
    uint8 rd_data = 0;
    uint8 buffer_size = 0;
    SPIM_LEDDRIVER_Start();                                 // start the SPI Module
    
    SPIM_LEDDRIVER_ClearRxBuffer();
    
    data = (GPIOCONF1 << 9) | LED_WRITE_CMD | 1;
    SPIM_LEDDRIVER_WriteTxData(data);     // write to Configuration Register: set port0-7 to outputs
    
    data = (GPIOCONF1 << 9) | LED_READ_CMD;
    SPIM_LEDDRIVER_WriteTxData(data);
    buffer_size = SPIM_LEDDRIVER_GetRxBufferSize();
    
    while(packetsize != buffer_size)
    {
       buffer_size = SPIM_LEDDRIVER_GetRxBufferSize();
    }
    rd_data = SPIM_LEDDRIVER_ReadRxData();
    
    
    
    CyDelay(150);
    
    data = (GPIOCONF2 << 9) | LED_WRITE_CMD;   
    SPIM_LEDDRIVER_WriteTxData(data);     // write to Configuration Register:set port8-15 to outputs
    

    


    
//    while(SPIM_LEDDRIVER_GetTxBufferSize() != 0  )      // wait here until transmit fifo is empty 
//        Wait();
    
    SPIM_LEDDRIVER_ClearTxBuffer();// clear temp buffer data
    
}





void RunFlash_ALL_LEDS()
{
    uint16 data = 0;
    
    for(;;)
    {
        data = ((OUTPUTCTRL1 << 9) | LED_WRITE_CMD)  |   ALL_LED_OFF;
        SPIM_LEDDRIVER_WriteTxData(data) ;
       
        
        CyDelay(1500);
        data = ((OUTPUTCTRL1 << 9) | LED_WRITE_CMD)  |   ALL_LED_ON;
        SPIM_LEDDRIVER_WriteTxData(data );   
        
        CyDelay(1500);
    
        
    }
    
    
}



void LED(int lednum, int onoff)
{
    unsigned int reg = 0;
    unsigned int led = 0;
    
    if(lednum >= 7)
    {
        reg = OUTPUTCTRL2;
        switch(lednum)
        {
            case 8:  led = 0x1;  break;
            case 9:  led = 0x2;  break;
            case 10: led = 0x4;  break;
            case 11:  led = 0x8;  break;
            case 12: led = 0xF;  break;
            case 13: led = 0x20;  break;
            case 14: led = 0x40;  break;
            case 15: led = 0x80;  break;
            
            default:led = 0x1;  break;
        }
        
    }    
    else
    {
        reg = OUTPUTCTRL1;
        switch(lednum)
        {
            case 0: led = 0x1;  break;
            case 1: led = 0x2;  break;
            case 2: led = 0x4;  break;
            case 3: led = 0x8;  break;
            case 4: led = 0xF;  break;
            case 5: led = 0x20;  break;
            case 6: led = 0x40;  break;
            case 7: led = 0x80;  break;
            
            default:led = 0x1;  break;
        }    
    
    
    }
    SPIM_LEDDRIVER_WriteTxData(reg |(led) );  
    
}






void RunLED_Sweep(int num)
{
    int i = 0;
    int j = 0;
    
    for(j=0; j<num; j++)
    {
    
        for(i=0; i<15; i++)
        {
           LED(i, 1);
           CyDelay(500);
           LED(i, 0);
        }
    }
}
