/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "defines.h"

extern int PowerError;



int RunPowerOn_Sequence()
{

    
    uint8 read_pin = 0;
    int DelayCounter = 0;
    
    MCUTEST1_Write(0);  
    MCUTEST2_Write(0);
    MCUTEST3_Write(0);
    MCUTEST4_Write(0);    
    
    
    SPIM_LEDDRIVER_WriteTxData(OUTPUTCTRL1 |(ALL_LED_OFF) );  
    SPIM_LEDDRIVER_WriteTxData(OUTPUTCTRL2 |(ALL_LED_OFF) );  

    // SET ALL POWER ENABLES LOW

    POWER1_ENACORE_Write(DISABLE);
    POWER2_ENA0V95_Write(DISABLE);
    POWER3_ENA1V8_Write(DISABLE);
    POWER4_ENA1V35_Write(DISABLE);
    POWER5_ENA0V85_Write(DISABLE);
    POWER6_ENA_DVDD3V3_Write(DISABLE);
    POWER7_ENA1V0_Write(DISABLE);
    POWER9_ENA1V2_Write(DISABLE);
    POWER11_DDR3_TERM_ENA_Write(DISABLE);
    
    TI_POR_Write(RESET_ON);
    TI_RESET_Write(RESET_ON);
    TI_RESETFULL_Write(RESET_ON);    
    GIGE10_PHY_RESET_Write(RESET_ON);
    PWR_SYSTEM_RESET_Write(RESET_ON);   // TURN RESET ON for JTAG IF 
    SYSTEM_RESET_Write(RESET_ON);       // TURN RESET ON For VPX Backplane
    
    CyDelay(10);
    
    POWER1_ENACORE_Write(ENABLE);      // enable smart reflex regulator
    
    CyDelay(10);
    
    DelayCounter = 0;
    while(POWER1_GOODCORE_Read()== 0){
        CyDelay(1);
        DelayCounter++;
        if(DelayCounter >= 20){
            DelayCounter = 0;
            break;
        }
    }
    
    if(POWER1_GOODCORE_Read()== 1){    // check if power is good
        POWER2_ENA0V95_Write(ENABLE);  // enable 0.95V regulator
        POWER3_ENA1V8_Write(ENABLE);   // enable 1.8V regulator
    }
    else   
        PowerError++;
        
    CyDelay(10);
  
    DelayCounter = 0;
    while(POWER2_GOOD0V95_Read()==0 || POWER3_GOOD1V8_Read() == 0){
        CyDelay(1);
        DelayCounter++;
        if(DelayCounter >= 20){
            DelayCounter = 0;
            break;
        }
    }
    
    
    if((POWER2_GOOD0V95_Read()==1) && POWER3_GOOD1V8_Read() == 1 && (PowerError == 0))  // check if 0.95V regulator is good
        POWER4_ENA1V35_Write(ENABLE);    // enable 1.35V regulator
    else   
        PowerError++;
        
    CyDelay(10);
    
    DelayCounter = 0;
    while(POWER4_GOOD1V35_Read() == 0){
        CyDelay(1);
        DelayCounter++;
        if(DelayCounter >= 20){
            DelayCounter = 0;
            break;
        }
    }
    
    
    if((POWER4_GOOD1V35_Read() == 1) && (PowerError == 0)) // check if 1.35V regulator is good
        POWER5_ENA0V85_Write(ENABLE);    // turn on 0.85V regulator
    else   
        PowerError++;
        
    CyDelay(10);
    
    DelayCounter = 0;
    while(POWER5_GOOD0V85_Read() == 0){
        CyDelay(1);
        DelayCounter++;
        if(DelayCounter >= 20){
            DelayCounter = 0;
            break;
        }
    }
    

    
    
    
    if((POWER5_GOOD0V85_Read() == 1) && (PowerError == 0)) // check if 0.85V regulator is good 
    {
        POWER6_ENA_DVDD3V3_Write(ENABLE);    // turn on DVDD3V3 regulator        
        POWER7_ENA1V0_Write(ENABLE);         // turn on DVDD1V0 regulator
        POWER9_ENA1V2_Write(ENABLE);         // turn on DVDD1V2 regulator
        POWER11_DDR3_TERM_ENA_Write(ENABLE); 
        
    }    
    else   
        PowerError++;
    
    CyDelay(20);
   /* 
    read_pin = POWER6_GOOD_DVDD3V3_Read();
    MCUTEST1_Write(read_pin );  
    read_pin = POWER7_ENA1V0_Read();
    MCUTEST2_Write(read_pin );  
    read_pin = POWER9_ENA1V2_Read();
    MCUTEST3_Write(read_pin ); 
    read_pin = POWER11_DDR3_TERM_ENA_Read();
    MCUTEST4_Write(read_pin );   
  
     */  
    
    while(POWER6_GOOD_DVDD3V3_Read() == 0 || POWER7_GOOD1V0_Read() == 0 || POWER9_GOOD1V2_Read() == 0 || POWER11_DDR3_TERM_PGOOD_Read() == 0){
        CyDelay(1);
        DelayCounter++;
        if(DelayCounter >= 20){
            DelayCounter = 0;
            break;
        }
    }
   
    
    read_pin = POWER6_GOOD_DVDD3V3_Read();
    if(read_pin == 0)
    {
        PowerError++;
        MCUTEST1_Write(1);
    }    
     
    read_pin = POWER7_GOOD1V0_Read();
    if(read_pin == 0)
    {
        PowerError++;
        MCUTEST2_Write(1);
    }  
    
    read_pin = POWER9_GOOD1V2_Read();
    if(read_pin == 0)
    {
        PowerError++;
        MCUTEST3_Write(1);
    }  
    
    read_pin = POWER11_DDR3_TERM_PGOOD_Read();
    if(read_pin == 0)
    {
        PowerError++;
        MCUTEST4_Write(1);
    }  
 
   
    

    if(PowerError == 0) // if there is a power error keep system in reset
    {

        CLK_GEN_OUTPUT_ENA_Write(SET_LO);  // SET_HI = OUTPUTS DISABLED, SET_LOW = OUTPUTS ENABLED
        
        // Added a 400ms delay to allow for clock stabilization    
        CyDelay(400);
        
        

        GIGE_PHY_RESET_Write(SET_HI);     // TURN RESET OFF
        PWR_SYSTEM_RESET_Write(SET_HI);   // TURN RESET OFF for JTAG IF
        SYSTEM_RESET_Write(SET_HI);       // TURN RESET ON For VPX Backplane  
        TI_PACLKSEL_Write(SET_LO);        // PASSCLK is not used. 
        
        TI_RESET_Write(SET_HI);
        CyDelay(1400);
        TI_POR_Write(SET_HI);
        CyDelay(5);
        TI_RESETFULL_Write(SET_HI); 


    }
    
    if((PowerError == 0) & (TI_RESETSTATE_Read() == 1))
    {
        SPIM_LEDDRIVER_WriteTxData(OUTPUTCTRL1 |(ALL_LED_OFF) );  
        SPIM_LEDDRIVER_WriteTxData(OUTPUTCTRL2 |(0x8) );  // turn on led15
    }  
       
     CyDelay(1000);  // short 1sec delay       
    
    
   return PowerError; 
    
}
/* [] END OF FILE */
