/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "defines.h"
#include "vars.h"

CY_ISR(go_to_dspspi_isr);   // function prototype

int main(void){

    CyGlobalIntEnable;      //  Enable global interrupts.
         

    
    LEDDRIVER_RESET_Write(SET_HI);   // SET_HI = NOT IN RESET, SET_LOW = IN RESET 
    
    init_SPIM_LEDDRIVER();  // Configure IO Exander for LED Control   
    RunFlash_ALL_LEDS();

    CLK_GEN_RESET_Write(SET_HI);       // SET_HI = NOT IN RESET, SET_LOW = IN RESET
    
    // ***** Turn on Power Rails  ************************************************        
    if(RunPowerOn_Sequence() == 0)
    {  // no power problems 
      RunLED_Sweep(1);      
    }
    else
      RunFlash_ALL_LEDS();          // power problems, forever flashing
    // ****************************************************************************
    
    
    
    while(1);
    // ********* ALL Okay   *******************************************************
      
    init_DSP_SPI_Link();        // initialize Slave SPI Link with ARM+DSP    
    
    DSP_SPI_ISR_StartEx(go_to_dspspi_isr); // Sets up the interrupt to function and sets address as the ISR vector for the interrupt.   
    
    TempI2C_Start();  // start the I2C Master Module
    

    
    while(1){
     
      if(BIT_READ(dsp_spi_rcv_buffer[0], RESET_DSP_CMD)){
           // DoBoardReset();
    }
    }    
    
    
    CyDelay(10);
}


// This ISR will execute when the MASTER SPI transmits data to the PSoC
CY_ISR(go_to_dspspi_isr)
{
    DSP_SPI_ISR_ClearPending();
    int rx_location = 0;
    
    while(SPIS_DSP_GetRxBufferSize() != 0 ){
      dsp_spi_rcv_buffer[rx_location] =  SPIS_DSP_ReadRxData();
      rx_location++;
    
    }
}

    


/* [] END OF FILE */
